﻿var NG = function ()
{
	// #region Game data
	
	var gameCode = "sze1_21";

	var varDefinition = ["player", "szarvas", "sarkany", "madarember", "bor", "cserkesz", "angyal", "bolha", "magus", "mano", "grenda", "batman",
		"kovacs", "hoember", "farkas", "tavelem", "ufok", "ekszeresz", "torpe", "dzsinn"];

	var inventoryDefinition = [
		[0, "szarvas", 1, "egy ájult rémszarvas", "Büdös és nehéz. Gyorsan szabadulj meg tőle."],
		[0, "szarvas", 2, "egy szarvashúsos pizza", "Még a hús eredeti gazdájának is jobb szaga volt. De mindegy, úgyse te eszed meg."],
		[0, "sarkany", 1, "egy sárkánypikkely", "Súlyos egy emlék."],
		[0, "madarember", 1, "egy korona", "Király!"],
		[0, "bor", 1, "egy fél üveg Macskavér bor", "Nem tudni, hogy csak a színe miatt ez a neve vagy alapanyag is..."],
		[0, "bor", 2, "Jonowan tekercse", "Matematikai képletek, amivel hazajuthatsz."],
		[0, "cserkesz", 3, "az ötödik elem", "Másfél voltos áramforrás."],
		[0, "angyal", 2, "egy angyali toll", "Az egyik legiszonyatosabb kínzóeszközt tartod a kezedben."],
		[0, "angyal", 3, "egy teleport-pisztoly", "Mehetsz rambózni!"],
		[0, "bolha", 1, "egy izgága kis bolha", "Olyan mit a rosszindulatú nagybácsi: állandóan csipkelődik."],
		[0, "mano", 2, "egy csomag álompor", "Mire kellhetett ez a manónak?!"],
		[0, "grenda", 2, "egy adag gyanús főzet", "Förtelmes szaga van. Mint a banyának."],
		[0, "grenda", 3, "egy ezüst karkötő", "Elég egyszerű, olcsó kis karkötő. Ezért szenvedtél annyit?!"],
		[0, "batman", 1, "némi denevérszőr", "Batman bátyó meg sem érezte a kopasztást."],
		[0, "kovacs", 2, "egy ezüstözött kard", "Rozsdás vasdarab, végén ezüst gömbbel."],
		[0, "kovacs", 3, "egy szál vörös rózsa", "Egy soha el nem száradó virágszál. Olyan megható, hogy mingyá elbőgöd magad."],
		[0, "hoember", 2, "egy széndarab", "Néha rádkacsint."],
		[0, "tavelem", 1, "az elem a távirányítóból", "Az űrlények majd biztos örülnek."],
		[0, "tavelem", 2, "egy maréknyi csillagpor", "2 űrdollárért lehet kapni a galaxis sarkán egy vén buckalakónál."],
	];

	var rawGameData = [
		"NEW",
		"ID|help",
		"TEXT|A helyszínek között az iránytűvel lehet közlekedni. A sötét irány nem járható, a zöld (vagy piros) viszont igen – ekkor rákattintva átkerülünk a szomszédos helyre. Az egyes helyszíneken amiket megtehetünk, azokat a szöveg alatti linkekkel érhetjük el.",
		"TEXT|A sarokban van pár gomb. Az őskori lemezre mutató nyíllal elmenthetjük az állást, a másikkal meg visszatölthetjük.",
		"TEXT|A <em>CUCC</em> felirattal előcsalhatjuk a tárgylistát, vagyis hogy miket hordozunk éppen magunkkal. Ha valamelyik tárgy fölött tartod az egeret egy kis ideig, megjelenik mellette a leírása.",
		"TEXT|A négyzet alakú gomb a beállítások ablakát nyitja meg. Itt megadható a betűtípus és az aljátékok nehézsége.",
		"TEXT|Ez a program <em>mailware</em>. Hogy ez mit jelent? Ugyanolyan, mint a freeware. Vagyis nem kell fizetned érte semmit, nyugodtan használhatod és bármelyik barátodnak odaadhatod. Mindössze annyit kérek, hogy ha tetszett neked a játék, (vagy ha nem akkor is), dobj egy e-mailt nekem a <a class=\"mga\" href=\"mailto:roar.entertainment.info@gmail.com\">roar.entertainment.info@gmail.com</a> címre vagy írj az oldal vendégkönyvébe, pár szóban leírva a véleményedet.",
		"TEXT|A szerző további játékai megtalálhatóak itt:<br><a href=\"http://van20.uw.hu\" target=\"_blank\">van20.uw.hu</a>",
		"TEXT|Akik nélkül nehezen jöhetett volna létre a játék:<br>F. DaCosta, Olessák Róbert, Gazda Zoltán és a támogató e-mailek.",
		"TEXT|Szúnyogember 1: Copyright by Enyedy Gyula, 2002-2021.<br>Crazy 2 \"engine\": Copyright by Enyedy Gyula (Van) és Gazda Zoltán (Jonowsky), 2002-2021.<br>A játék rendszerét felhasználni nem tilos, de nem is pofonegyszerű. Ha annyira tetszik, hogy te is ilyen játék írására akarnád adni a fejed, vedd fel velünk a kapcsolatot.",
		"TEXT|További ingyenes (mailware) kalandjátékokat lehet fellelni a következő honlapokon:",
		"TEXT|<a href=\"http://www.extra.hu/jonowsky\" target=\"_blank\">www.extra.hu/jonowsky<br><img src=\"pic/jonani.gif\"/></a>",
		"TEXT|<a href=\"http://van20.uw.hu\" target=\"_blank\">van20.uw.hu<br><img src=\"pic/roaranim.gif\"/></a>",
		"TEXT|<a href=\"http://www.lukasarc.ini.hu\" target=\"_blank\">www.lukasarc.ini.hu<br><img src=\"pic/larclogo.gif\"/></a>",
		"NEW",
		"ID|intro",
		"ROOM|intro.gif|-|-|-|-|-|-",
		"TEXT|<h1>Szúnyogember</h1>",
		"TEXT|<i>(kalandjáték)</i>",
		"TEXT|Szokás szerint éppen a számítógépedet nyúztad. Fülledt nyári éjszaka volt, a nyitott ablakon ki-be szállt a számtalan légy, szúnyog és szitakötő. Az egyik szúnyog rátelepedett a monitorra.",
		"TEXT|<em>– Hagyd békén a főhősömet! –</em> mordultál rá, de az a füle botját sem mozgatta. Mivel nincs is füle. De csak nem akart elrepülni, ezért hüvelyujjaddal <b>rápasszíroztad a monitorra</b>. A képernyő felizzott. A szobát akkora fénnyel töltötte be, hogy majdnem megvakultál. Ijedten a szemed elé kaptad a kezed, amikor is valami <b>felragadott</b>.",
		"TEXT|Zuhantál át a semmin, és egyszer csak egy városka utcáján találtad magad. Ráadásul elsőre látszott, hogy ez minimum középkori építészet. De ennél fontosabb dolog ragadta meg figyelmedet egy tócsa közepén: <b>saját magad tükörképe</b>.",
		"TEXT|Két szemgolyód megnőtt és felmászott a homlokodra. Szádból eltűntek a fogak és csak egy jó félméteres szívó nyelved maradt. Hátadon vékony, hártyás szárnyak nőttek, és pironkodva vetted észre, hogy mindössze egy ágyékkötő van rajtad meg egy tarisznya.",
		"TEXT|Félszerzetté váltál! <b>Félig ember, félig szúnyog</b> vagy! A helyzet iszonyattal tölt el. Valahogy vissza kell változnod és visszajutnod a saját világodba!",
		"CHOICE|xutca2|start",
		"NEW",
		"ID|xangyal",
		"ROOM|angyal.gif|xerdo|-|-|-|-|-",
		"TEXT|Követsz valami csillogó fényjelenséget, és egyszer csak egy különös fickóra leszel figyelmes: a hátán szárnyak vannak, feje felett glória, a fény pedig a kezéből jön ki. Ez egy <b>földre szállt angyal</b>!",
		"CHOICE|xx7a|beszélsz vele|angyal|EQ|0",
		"CHOICE|xx7b|beszélsz vele|angyal|EQ|1|madarember|EQ|0",
		"CHOICE|xx7c|beszélsz vele|angyal|EQ|1|madarember|EQ|1",
		"CHOICE|xx7d|beszélsz vele|angyal|GTE|2",
		"CHOICE|xx8|rátámadsz",
		"NEW",
		"ID|xcserkesz",
		"ROOM|cserkesz.gif|-|-|-|xkovacs|-|-",
		"TEXT|Egy kisebb istállóba érkezel, aminek két lakója van. Az egyik állat lóra hasonlít, a másik meg emberre... A ló barátságosan álldogál a lecsempézett padlón és látványosan rágógumizik. Az emberből csak a cipőtalpa látszik.",
		"CHOICE|xx32|a lóval foglalkozol",
		"CHOICE|xx33a|felébreszted az embert|cserkesz|EQ|0",
		"CHOICE|xx33b|felébreszted az embert|cserkesz|EQ|1|szarvas|EQ|0",
		"CHOICE|xx33c|felébreszted az embert|cserkesz|EQ|1|szarvas|EQ|1",
		"CHOICE|xx33d|felébreszted az embert|cserkesz|EQ|1|szarvas|EQ|2",
		"CHOICE|xx33e|felébreszted az embert|cserkesz|EQ|3",
		"NEW",
		"ID|xdzsinn",
		"ROOM|dzsinn.gif|xufok|-|-|-|-|-",
		"TEXT|Megrökönyödve tapasztalod, hogy egy tűzoltó palack hever a földön. Nagy nehezen felemeled és megrázod. Valami lötyög benne.",
		"CHOICE|xx9a0|kinyitod a palackot",
		"NEW",
		"ID|xekszer",
		"ROOM|ekszer.gif|xutca3|-|-|-|-|-",
		"TEXT|A boltban egy emberkölyök üldögél. Szemén nagyítót hord, de fogalmad sincs, miért: a boltban semmi ékszert nem látsz. Üres az összes polc.",
		"CHOICE|xx22a|köszönsz|ekszeresz|EQ|0",
		"CHOICE|xx22c|köszönsz|ekszeresz|EQ|1|grenda|LT|2",
		"CHOICE|xx22b|odaadod a varázsitalt|ekszeresz|EQ|1|grenda|EQ|2",
		"CHOICE|xx22d|köszönsz|ekszeresz|EQ|1|grenda|GT|2",
		"CHOICE|xx23|kirabolod a boltot",
		"NEW",
		"ID|xerdo",
		"ROOM|erdo.gif|xgrenda|xufok|xmano|xangyal|-|-",
		"TEXT|Benn vagy a sűrű közepén. Mind a négy irányba ösvények vezetnek. A közelben mindenféle erdei hangokat hallasz: Valahol vaddisznó túr, néhány mókus tobozokkal dobálja egymást, valahol láncfűrész bőg, északról meg káromkodás hangját sodorja erre a szél.",
		"NEW",
		"ID|xfelsz",
		"ROOM|felsz.gif|-|xutca3|xfelsz2|xfelsz3|-|-",
		"TEXT|Ez a <b>Félszerzetek Szanatóriuma</b>. Érdekessége az, hogy itt csak félig ember – félig egyéb lényeket kezelnek. Ha egyszer megőrülsz, alighanem te is ide fogsz kerülni. Délre sötét folyosót látsz, keletre pedig a kijáratot a kertbe.",
		"TEXT|Mióta itt tartózkodsz, egy <b>pókember</b> folyamatosan figyel téged, szájából csorog a nyál...",
		"TEXT|Itt van még egy magába roskadt <b>farkasember</b> is.|farkas|LT|2",
		"CHOICE|xx29|beszélsz a pókemberrel",
		"CHOICE|xx31a|inkább a farkasemberrel|farkas|EQ|0",
		"CHOICE|xx31b|inkább a farkasemberrel|farkas|EQ|1|kovacs|EQ|2",
		"CHOICE|xx31c|inkább a farkasemberrel|farkas|EQ|1|kovacs|NEQ|2",
		"NEW",
		"ID|xfelsz2",
		"ROOM|felsz2.gif|-|xfelsz|-|-|-|-",
		"TEXT|Egy kör alakú kertben vagy, amit kőfal (tetején szögesdróttal) vesz körül. Számos virágot látsz, és örülsz, hogy nem egy <b>méh</b> volt a monitorodon. Most biztos a virágport nyalogatnád...",
		"TEXT|Egy <b>madárember</b> álldogál a kert közepén.",
		"CHOICE|xx14a|megszólítod|madarember|EQ|0",
		"CHOICE|xx14b|megszólítod|madarember|GT|0",
		"NEW",
		"ID|xfelsz3",
		"ROOM|felsz3.gif|xfelsz|-|-|-|-|-",
		"TEXT|A sötétben keringve végül a pincébe érkeztél. A földön egy ismerős rajzot látsz: Batman jele az. Megcsóválod a fejed, amikor észreveszel egy alakot a fal mellett magába zuhanva ülni. Fekete hacukában van, fején egy maszkkal, amin két <b>denevérfül</b> van.",
		"CHOICE|xx21|köszönsz neki",
		"CHOICE|xx21b|begyűjtesz némi denevérszőrt|batman|EQ|0|grenda|EQ|1",
		"NEW",
		"ID|xgrenda",
		"ROOM|grenda.gif|-|-|-|xerdo|-|-",
		"TEXT|Egy kunyhóra bukkansz a sűrűben. Illedelmesen kopogsz, de mivel nem jön válasz, vállat vonsz és belépsz.",
		"TEXT|Egy vénséges öregasszonyt látsz a szobában. Elsőre látszik, hogy egy <b>boszorkány</b>, mert épp egy hatalmas üstben kavargat valami löttyöt. Hogy a löttynek vagy a banyának van ilyen gyomorforgató szaga, azt nehéz megállapítani.",
		"TEXT|Az ágy közepén egy fekete macska terpeszkedik, a szoba sarkában pedig egy homokkal teli dobozt veszel észre.",
		"CHOICE|xx24a|megszólítod a banyát|grenda|EQ|0",
		"CHOICE|xx24b|megszólítod a banyát|grenda|EQ|1|batman|EQ|1|sarkany|EQ|1",
		"CHOICE|xx24c|megszólítod a banyát|grenda|EQ|1|batman|EQ|0|sarkany|EQ|0",
		"CHOICE|xx24c|megszólítod a banyát|grenda|EQ|1|batman|EQ|1|sarkany|EQ|0",
		"CHOICE|xx24c|megszólítod a banyát|grenda|EQ|1|batman|EQ|0|sarkany|EQ|1",
		"CHOICE|xx24d|megszólítod a banyát|grenda|GT|1",
		"CHOICE|xx26|lecsapod a nyanyát",
		"CHOICE|xx25|ellopod a seprűjét",
		"CHOICE|xx48|megsimized a macskát",
		"CHOICE|xx49|átkutatod a homokos dobozt",
		"NEW",
		"ID|xit",
		"ROOM|outro.gif|-|-|-|-|-|-",
		"TEXT|Gyorsan átolvassa a pergament. Aztán felveszi a rózsát és rászórja az álompor felét. Ráköp a csillagporra és azt is ráhinti a virágra.",
		"TEXT|<em>– Jó étvágyat! –</em> nyújtja feléd.",
		"TEXT|Fanyar mosollyal ráharapsz a rózsára, miközben a mágus megint a pergament olvasgatja. Egy pillanatra felpillant.",
		"TEXT|<em>– Elég lett volna a virágszirmokat megenni.</em>",
		"TEXT|<em>– Jókor szólsz –</em> köhögsz nagyokat. A tüskék kicsit felsértették a <b>nyelőcsövedet</b>... Pit újra belemélyed a papír tanulmányozásába.",
		"TEXT|<em>– Khm. Ne haragudj, de mit nézel rajta annyit?</em>",
		"TEXT|<em>– Öööö... A tételek bizonyítását. Mintha lenne benne egy <b>ellentmondás</b>.</em>",
		"TEXT|<em>– Igen? –</em> ordítasz. <em>– Azonnal hagyjuk abba! Ilyen hülyeséget! Egy sose használt és bizonytalan varázslattal akartam hazajutni!</em>",
		"TEXT|<em>– Viszont van egy kis baj... Az álomportól hamarosan <b>meghalsz</b>...</em>",
		"TEXT|<em>– He?!</em>",
		"TEXT|<em>– Hacsak nem fejezzük be a varázslatot.</em>",
		"TEXT|<em>– Na jó. \"Győzött a tudomány...\" A francba... Na, mit kell csinálni?</em>",
		"TEXT|Pit rádszórja a maradék álomport.",
		"TEXT|<em>– Neked semmit. Legfeljebb imádkozni...</em>",
		"TEXT|Ezzel a tekercset olvasva <b>kántálni kezd</b> valamit. Hosszú perceken keresztül.",
		"TEXT|<em>– Aztán nehogy most mamutemberré változzak! Vagy békaemberré. Vagy farkasembberré! Azok mind depressziósak. Vagy...</em>",
		"TEXT|Elszédülsz. A színek kifakulnak, majd lilába mennek át. Elájulsz.",
		"TEXT|...",
		"TEXT|Kinyitod a szemed. Egy széken ülsz, a monitort látod magad előtt. Egy jókora <b>GAME OVER</b> felirat virít rajta.",
		"TEXT|<b>Sikerült</b>! Hazajutottál. Kikapcsolod a gépet és hátradőlsz.",
		"TEXT|Aztán anyád hangját hallod:",
		"TEXT|<em>– Kész a vacsora, gyere enni! Pizzát sütöttem!</em>",
		"TEXT|<em>– Höhö. Pizza. Ez jó –</em> kacagsz és <b>átrepülsz</b> a konyhába...",
		"TEXT|<h1>Folytatás</h1>",
		"TEXT|Bizony ám! Jön a <b>Szúnyogember 2</b>! És aztán tovább! Juhúúú!",
		"NEW",
		"ID|xkocsma",
		"ROOM|kocsma.gif|-|-|-|xutca2|-|-",
		"TEXT|Sok részeg ember, elf, ork, törp, troll, hobbit és buckamanó között elsétálva leülsz egy üres kis asztalkához. Az unatkozó troll pincér egyből kiszúr, és kelletlen képpel odasétál.",
		"TEXT|<em>– Szerencséd van, mutáns! Ma az ünnep miatt a félszerzetek ingyen zabálhatnak!</em>|bor|EQ|0",
		"TEXT|<em>– Szörcs –</em> szörcsögöd. <em>– Akkor a legjobb kaját kérem. Meg valamit inni. Úgy megkívántam az édes vörösbort, hoznál egy üveggel?</em>|bor|EQ|0",
		"TEXT|<em>– Pföhh... A napi specialitás a Pigazus-comb. Ez szárnyas disznók csülke.</em>|bor|EQ|0",
		"TEXT|Ezzel otthagy, de hamarosan visszatér. Lerakja eléd az üveget, majd az asztalra hajítja a disznólábat. Szádban összefut a nyál, alig fér el a nyelved.|bor|EQ|0",
		"TEXT|<em>– Na már megint ide evett a fene? Ingyenkonyha, mi? Még itt van a disznód, zabájjá, te...</em>|bor|GT|0",
		"TEXT|Elegánsan megköszönöd udvarias segítségét, majd szembenézel a malaccal.|bor|GT|0",
		"CHOICE|xx3|eszel a disznóból",
		"CHOICE|xx6a|idehívod a szakácsot|szarvas|EQ|1|cserkesz|EQ|1",
		"CHOICE|xx6b|idehívod a szakácsot|szarvas|EQ|0|cserkesz|EQ|1",
		"CHOICE|xx6c|idehívod a szakácsot|szarvas|EQ|0|cserkesz|EQ|0",
		"CHOICE|xx4|iszol bort|bor|EQ|0",
		"CHOICE|xx5|körbepislogsz",
		"CHOICE|xx50a|átülsz egy törpéhez|torpe|EQ|0",
		"CHOICE|xx50b|megint átülsz a törpéhez|torpe|EQ|1",
		"CHOICE|xx50c|ismét átülsz a törpéhez|torpe|EQ|2",
		"CHOICE|xx50d|tovább barátkozol a törpével|torpe|EQ|3",
		"NEW",
		"ID|xkovacs",
		"ROOM|kovacs.gif|xcserkesz|-|-|xutca1|-|-",
		"TEXT|Egy kovácsműhelybe toppansz be. Van hátsó kijárata is, ami északnak visz. A kovács egy üllő mellett üldögél és néha unottan rácsap a kalapáccsal. Amikor már egy perce figyeled, elmagyarázza, hogy nincs se dolga, se szene, és csak azért csapkod, hogy azt higgyék, dolgozik. Különben nem kapná meg a szociális támogatást.",
		"CHOICE|xx27a|beszélsz vele|kovacs|EQ|0|farkas|EQ|0",
		"CHOICE|xx27b|beszélsz vele|kovacs|EQ|0|farkas|EQ|1",
		"CHOICE|xx27c|beszélsz vele|kovacs|EQ|1|grenda|EQ|3|hoember|EQ|2",
		"CHOICE|xx27d|beszélsz vele|kovacs|EQ|1|grenda|LT|3|hoember|LT|2",
		"CHOICE|xx27d|beszélsz vele|kovacs|EQ|1|grenda|LT|3|hoember|EQ|2",
		"CHOICE|xx27d|beszélsz vele|kovacs|EQ|1|grenda|EQ|3|hoember|LT|2",
		"CHOICE|xx27e|beszélsz vele|kovacs|GT|1",
		"CHOICE|xx28|valami hülyeséget csinálsz",
		"NEW",
		"ID|xmano",
		"ROOM|mano.gif|xtel|xerdo|xutca1|-|-|-",
		"TEXT|A városka előtt ácsorogsz. Délre a végtelenbe vesző pusztaságot látsz, ezért arra nem mész semmiképp. Északra havas tájat látsz, nyugatra pedig egy jókora erdőt.",
		"TEXT|A kapu tövében egy kis manó ücsörög.",
		"TEXT|Szegényke teljesen be van rezelve tőled. És még mágusnak mondta magát...!|mano|GT|1",
		"CHOICE|xx15a|megszólítod|mano|EQ|0",
		"CHOICE|xx15b|újra próbálkozol nála|mano|EQ|1",
		"NEW",
		"ID|xtel",
		"ROOM|tel.gif|-|-|-|xmano|-|-",
		"TEXT|Egy havas vidékre kerültél. Kicsit meg is lepődsz a dolgon, mert pár perce még napsütötte, meleg nyári tájon jártál. Aztán egy csapásra hó kezdett ropogni meztelen talpad alatt.",
		"TEXT|De nem adod fel, tovább bandukolsz. Ám egyszer csak elfogy az út, és egy szakadékhoz érkezel. Meredek falán nem könnyű lemászni.",
		"TEXT|A szakadéktól pár lépésre egy hóember ácsorog.",
		"TEXT|Egy rémszarvas (szarvasra hasonlító állat, démoni fejjel) szagolgatja a hóembert; amikor közelebb lépsz, riadtan megugrik.|szarvas|EQ|0",
		"CHOICE|xx38a|megsimogatod a szarvast|szarvas|EQ|0|bolha|EQ|0",
		"CHOICE|xx38b|megsimogatod a szarvast|szarvas|EQ|0|bolha|EQ|1",
		"CHOICE|xx39a|szétrombolod a hóembert|hoember|EQ|0",
		"CHOICE|xx39b|beszélsz a hóemberrel|hoember|EQ|1",
		"CHOICE|xx40|lemászol a falon|angyal|EQ|0",
		"NEW",
		"ID|xtorony",
		"ROOM|sarkany.gif|-|-|-|xutca3|-|-",
		"TEXT|Egy nagy téren vagy. Régen ez lehetett a piactér. De ma már senki sem olyan hülye, hogy idemerészkedjen a tér nagy részét elfoglaló sárkány miatt.",
		"TEXT|A sárkány semmit sem csinál, csak évek óta itt alszik. Feje egy torony mellett van, eltorlaszolva annak ajtaját.|sarkany|EQ|0",
		"TEXT|Bár, egy fej már nemigen csinál sok galibát...|sarkany|GT|0",
		"CHOICE|xx19|lelövöd a bestiát|sarkany|EQ|0|angyal|EQ|3",
		"CHOICE|xx20|eltolod a sárkányt az útból|sarkany|EQ|0",
		"CHOICE|xtorony2b|bemész a toronyba|sarkany|GT|0|magus|EQ|0",
		"CHOICE|xtorony2|bemész a toronyba|sarkany|GT|0|magus|GT|0",
		"NEW",
		"ID|xtorony2",
		"ROOM|torony.gif|-|-|-|xtorony|-|-",
		"TEXT|A matek-mágus toronyszobájában vagy.",
		"CHOICE|xx44|átadod a három varázstárgyat|kovacs|EQ|3|mano|EQ|2|tavelem|EQ|2|bor|EQ|3",
		"CHOICE|xx43|átadod a tekercset|bor|EQ|2",
		"CHOICE|xx12|megnézed az ebet|bolha|EQ|0",
		"CHOICE|xx45|megnézed a tévét|tavelem|EQ|0",
		"CHOICE|xx47|kérdezgeted a mágust",
		"CHOICE|xx46|kinézel az ablakon",
		"NEW",
		"ID|xtorony2b",
		"ROOM|torony.gif|-|-|-|xtorony|-|-",
		"SET|magus|TO|1",
		"TEXT|Felbaktatsz a csigalépcsőn. Egy ajtóban végződik, amin illedelmesen kopogsz. Az ajtó feltárul és belépsz.",
		"TEXT|Egy kényelmesre berendezett toronyszobába jutsz. A sarokban egyből kiszúrsz egy színes tévét, ami elé kopott fotel van húzva. A tévé mellett egy kutya fekszik félálomban. Tovább tekintve megpillantod a házigazdát is: elsőre egy kockafejű mérnöknek tűnik.",
		"TEXT|<em>– Üdvözöllek szerény hajlékomban, Szúnyogember! –</em> köszönt, és közben meghajol. <em>– Köszönöm, hogy megszabadítottál rabságomtól és legyőzted a sárkányt.</em>",
		"TEXT|<em>– Áh, semmiség! </em>– veted oda, és megpörgeted a stukkert.",
		"TEXT|<em>– Figyellek, mióta átjöttél <b>Wurhkuk</b> világára, és mondhatom, nagyon ügyesen viselkedtél!</em>",
		"TEXT|<em>– Mi? Mi az, hogy figyeltél?! És ki vagy te egyáltalán?</em>",
		"TEXT|<em>– Szólíts csak Pitnek. <b>Matematika-varázsló</b> vagyok. Ez pedig a kutyám, Hamis Gyök. Látom, csodálkozol... Mi a baj?</em>",
		"TEXT|<em>– Ez a \"matek-mágus\" izé kicsit zavaros...</em>",
		"TEXT|<em>– Nem tudom, a te világodban hogyan működnek a varázslatok, de elmondom, hogy itt hogyan. Minden varázslatnak megvan a maga alakja, tulajdonságai. Ha ki akarsz fejleszteni egy varázslatot, meg kell alkotnod annak formáját. Ezt úgy kell kidolgozni, mint egy bonyolult <b>matematikai egyenletet</b>. Mivel te nem tűnsz varázslófélének, és ahogy látom, matematikus sem vagy, tovább nem magyarázom.</em>",
		"TEXT|<em>– Oké, értem. Vagyis nem értem, de hagyjuk. És mi az, hogy figyeltél?</em>",
		"TEXT|<em>– Csináltak belőled egy délutáni sorozatot –</em> bök a tévé felé. <em>– Az a címe, hogy \"A Szúnyogember\". Nem túl eredeti, mi?</em>",
		"TEXT|A tévéről egyből eszedbe jut még valami, ami nem hagy nyugodni.",
		"TEXT|<em>– Még valamit magyarázz meg! Ez a környezet olyan, mint nálunk a <b>sötét középkor</b>. Az emberek is pont olyan sötétek. Viszont mindenféle fura dolgokat látok: valahol láttam egy autót, itt van nálam egy fantasztikus fegyver, meg itt van ez a tévé is. De még egy csomó más, ide nem illő dolog is van...</em>",
		"TEXT|<em>– Ez a <b>KÁOSZ!</b> –</em> vágja ki a varázsló. <em>– Ne hidd, hogy ez mindig így volt! Valamelyik távoli világban történt egy furcsa dolog. Hogy pontosan mi, csak találgatni tudunk. De az a lényeg, hogy szinte az <b>összes</b> sík és világ rendje felborult. Tárgyak és személyek tűnnek el, hogy egy másik <b>helyen</b> vagy <b>időben</b> bukkanjanak fel. Ezért került ide tévé, ezért került át egy másik világba egy Torgyán József nevű ogre, és így kerültek ide űrlények egy harmadik világból.</em>",
		"TEXT|Kicsit kifárad a hosszú magyarázástól. Megigazítja ingét és folytatja:",
		"TEXT|<em>– Minden teljesen kontrollálhatatlan. Egyik pillanatban még a vécén kuporogsz, a következőben meg orkok ebédlőasztalán találod magad.</em>",
		"TEXT|<em>– És szándékosan elő lehet idézni? Valahogy hazajuthatnék?</em>",
		"TEXT|<em>– <b>Igen!</b> Egy kiváló barátom, a híres <b>Jonowan mester</b>, aki a legnagyobb fizikus-matematikus, kidolgozta a <b>létsíkváltás varázslatát</b>. Meg kell őt keresned, és elhozni a varázslat leírását. Meg talán a bizonyítását is, mert eddig nem volt tesztelve, és nem hiszem, hogy belevágnál így bizonytalanul...</em>",
		"TEXT|<em>– Jonowan? Rendben, megkeresem. És aztán?</em>",
		"TEXT|<em>– Aztán majd meglátjuk... Addig is... Ha fáradt vagy, nálam bármikor kipihenheted magad.</em>",
		"CHOICE|xx43|átadod a tekercset|bor|EQ|2",
		"CHOICE|xx12|megnézed az ebet|bolha|EQ|0",
		"CHOICE|xx45|megnézed a tévét|tavelem|EQ|0",
		"CHOICE|xx47|kérdezgeted a mágust",
		"CHOICE|xx46|kinézel az ablakon",
		"NEW",
		"ID|xufok",
		"ROOM|ufok.gif|-|-|xerdo|xdzsinn|-|-",
		"TEXT|Egy jókora tisztásra érkezel. A túlsó végén egy <b>UFO</b> parkol! Ahogy elindulsz arra, <b>két űrlény</b> siet eléd. Az egyiken piros baseball-sapka virít, a másik épp bagózik. Barátságosan mosolyognak rád.",
		"CHOICE|xerdo|gyorsan elmenekülsz|ufok|EQ|0",
		"CHOICE|xx35a|beszélsz velük|ufok|EQ|0",
		"CHOICE|xx35b|odaadod a tollat|ufok|EQ|1|angyal|EQ|2",
		"CHOICE|xx35d|beszélsz velük|ufok|EQ|1|angyal|LT|2",
		"CHOICE|xx35c|odaadod a két elemet|ufok|EQ|2|cserkesz|EQ|3|tavelem|EQ|1",
		"CHOICE|xx35e|beszélsz velük|ufok|EQ|2|cserkesz|LT|3|tavelem|EQ|0",
		"CHOICE|xx35e|beszélsz velük|ufok|EQ|2|cserkesz|EQ|3|tavelem|EQ|0",
		"CHOICE|xx35e|beszélsz velük|ufok|EQ|2|cserkesz|LT|3|tavelem|EQ|1",
		"NEW",
		"ID|xutca1",
		"ROOM|utca1.gif|xkovacs|xmano|xutca2|-|-|-",
		"TEXT|A városka kapuja előtt ácsorogsz. Északra egy kovácsműhelyt veszel észre, bentről ütemes kalapácsolás hallatszik ki.",
		"TEXT|Nyugatra elhagyhatod a várost, a keleti utcát meg már jól ismered.",
		"CHOICE|xx34a|imádkozol, hogy hazajuss",
		"NEW",
		"ID|xutca2",
		"ROOM|utca2.gif|xkocsma|xutca1|xutca3|-|-|-",
		"TEXT|Egy utcán ácsorogsz. Egy darabig nézegeted az északra nyíló kocsmába betérő emberkéket és az onnan kidobott részegeket, de erre hamar ráunsz. Mehetsz tovább az utcán mindkét irányba, de asszem inkább te a kocsma felé fogod venni az utad.",
		"CHOICE|xx1|kötekedsz egy részeggel",
		"CHOICE|xx2|kiszívod egy ájult vérét",
		"NEW",
		"ID|xutca3",
		"ROOM|utca3.gif|xtorony|xutca2|xfelsz|xekszer|-|-",
		"TEXT|A városka egyetlen utcája itt kanyarodik egy nagyot. Egyik vége megy északnak, a másik meg nyugatnak. Két épületet kelti fel a figyelmedet. Keletre egy jókora épület kapuja nyílik, felirata szerint <b>\"Félszerzetek Szanatóriuma\"</b>, pont neked való hely... Délre meg egy ékszerészüzlet vár.",
		"NEW",
		"ID|xx1",
		"TEXT|Gyorsan kitapasztalod, hogy ebben a világban még a részegek is erősebbek a szúnyogembereknél...",
		"TEXT|Egy szuttyos vén tata úgy helybenhagy, hogy alig bírsz lábra állni. Szerencse, hogy nincs fogad, mert most biztos mindet kiverte volna.",
		"BACK",
		"NEW",
		"ID|xx10",
		"TEXT|Akkor induljon a verseny! Egy templom tornyáig kell elrepülnötök és az győz, aki <b>hamarabb odaér</b>.",
		"TEXT|Szabály: Kattints a madáremberre a játék elkezdéséhez. Ezután csapkodnod kell a szárnyaiddal. Ezt úgy teheted meg, hogy felváltva kattintgatsz a saját portréidon, amik a madártól jobbra és balra helyezkednek el. Ha elég <b>gyors</b> voltál, legyőzöd a madárkát.",
		"MINIGAME|MinigameFly",
		"CHOICE|xx11|(verseny kihagyása)",
		"BACK",
		"NEW",
		"ID|xx11",
		"SET|madarember|TO|1",
		"TEXT|Az intézetből néhány ápoló ront ki lasszóval, hogy visszafogják a pácienst, de a madár nem hagyja magát. Egymás mellett repültök, és már közel a cél. De végül <b>te</b> vagy az, aki hamarabb odaér.",
		"TEXT|Sikerült legyőznöd a madárembert! Egy ideig egymás mellett üldögéltek a templomtorony tetején, amíg kifújjátok magatokat. A madárember elmondja, hogy semmi kedve visszamenni a szanatóriumba, és megkér, hogy ezt közöld az ápolókkal. Ezután átnyújt neked egy <b>koronát</b>.",
		"TEXT|<em>– Ez egy kentauré volt. Ő is az intézetben volt. Szegény császárnak képzelte magát, és valahonnan szerezte ezt a fejdíszt. Mivel legyőztél engem, annak ellenére, hogy csak szúnyog vagy, fogadd el ezt nyereményként.</em>",
		"TEXT|Elrakod a cuccot, aztán meggyőzöd a madarat, hogy menjen ő is vissza. Elvégre beteg, kezelésre van szüksége, és őrültek nem rohangálhatnak, vagyis repkedhetnek az utcán. Duzzog, de visszarepültök a szanatórium kertjébe.",
		"BACK",
		"NEW",
		"ID|xx12",
		"TEXT|<em>– Vigyázz vele! </em>– int a varázsló. <em>– Nem szereti az idegeneket. Egyébként úgy hívják, hogy Hamis Gyök.</em>",
		"TEXT|Megnézed a kutyust. Egyáltalán nem látszik veszélyesnek. Megpillantasz rajta egy <b>bolhát</b>. Ha van kedved, próbáld meg elkapni!",
		"CHOICE|xx13|elkapod",
		"CHOICE|xtorony2|vissza",
		"NEW",
		"ID|xx13",
		"SET|bolha|TO|1",
		"TEXT|Sikerül fülöncsípni a kis jószágot. Az még belédcsíp vagy kettőt, mielőtt belehajítod a tarisznyádba.",
		"CHOICE|xtorony2|vissza",
		"NEW",
		"ID|xx14a",
		"TEXT|<em>– Helló! –</em> kezded.",
		"TEXT|<em>– Áh, egy újabb kezelt!</em>",
		"TEXT|<em>– Nem, nem. Én nem tartozom ide!</em>",
		"TEXT|<em>– Ugye?! Én sem tartozom ide, de ezek a hülye ápolók nem értik!</em>",
		"TEXT|Még percekig magyarázod neki, hogy nem vagy se beteg, se őrült. Ekkor elkezd kérdezgetni a külvilágról. Nem tudsz mit mondani, mert te sem ismered. Végül, hogy ne unatkozzatok, megkérdezi, nem akarsz-e vele repülőversenyt játszani.",
		"TEXT|Sajnálattal közlöd vele, hogy nem tudod használni a szárnyaidat.|angyal|EQ|0",
		"CHOICE|xx10|versenyzel vele|angyal|GT|0",
		"BACK",
		"NEW",
		"ID|xx14b",
		"TEXT|A madárember lábán egy súlyos láncot veszel észre, ami végéhez egy több kilós <b>vasgömböt</b> erősítettek. A félszerzet szeméből könnyek potyognak – úgy véled, most nem óhajtaná a társaságodat. Elvégre te biztattad, hogy jöjjön vissza...",
		"BACK",
		"NEW",
		"ID|xx15a",
		"SET|mano|TO|1",
		"TEXT|Mielőtt kinyitnád a szád, a manó felugrik. Sanda pillantással méregeti a kilógó hosszú nyelved, majd megszólal:",
		"TEXT|<em>– Tudd meg, hogy én egy nagyhatalmú varázsló vagyok, aki a kalandorok megsegítésére tette fel az életét. Bölcsességem határtalan, így jól tudom, hogy te segítségre szorulsz. Nos, kaphatsz tőlem valamit, ha válaszolsz egy egyszerű kérdésre.</em>",
		"TEXT|<em>– Oké, jöhet a kérdés! Ha ingyen van...</em>",
		"TEXT|<em>– A kérdés nem bonyolult: mi a neve a Gzundur-parti Gharnam vár urának, aki legyőzte Jawar-t és Yo-t?</em>",
		"TEXT|Kicsit meglep a kérdés, sose találkoztál eddig ilyen nevekkel. De azért nem esel pánikba, majd csak kitalálod!",
		"CHOICE|xx16|\"JawarYo\"",
		"CHOICE|xx16|\"Gzunduri Gharnam\"",
		"CHOICE|xx16|\"Nostradamus\"",
		"CHOICE|xx17|nem válaszolsz, csak nézel csúnyán",
		"NEW",
		"ID|xx15b",
		"TEXT|<em>– <b>Kedves</b> manó, megpróbálhatom újra?</em>",
		"TEXT|<em>– Na jó, lásd, milyen arany szívem van. A kérdés tehát: mi a neve a Gzundur-parti Gharnam vár urának, aki legyőzte Jawar-t és Yo-t?</em>",
		"CHOICE|xx16|\"JawarYo\"",
		"CHOICE|xx16|\"Gzunduri Gharnam\"",
		"CHOICE|xx16|\"Nostradamus\"",
		"CHOICE|xx17|nem válaszolsz, csak nézel csúnyán",
		"NEW",
		"ID|xx16",
		"TEXT|<em>– Nem nyert! –</em> vágja a képedbe a manó. Visszaül a fal mellé és többet nem is foglalkozik veled.",
		"CHOICE|xx15b|újra próbálkozol",
		"BACK",
		"NEW",
		"ID|xx17",
		"TEXT|A manó megijed szúrós tekintetedtől, aztán amikor szörcsögni kezdesz, habogva-dadogva szól:",
		"TEXT|<em>– Izé..., se... segíthetek?</em>",
		"TEXT|Még jobban összevonod a szemöldöködet.",
		"TEXT|<em>– Annyit s... segítek, hogy az els-első neve Dzs... James...</em>",
		"CHOICE|xx16|\"James Bond\"",
		"CHOICE|xx16|\"James Hetfield\"",
		"CHOICE|xx16|\"Jessie James\"",
		"CHOICE|xx18|nem válaszolsz, csak nézel csúnyán",
		"NEW",
		"ID|xx18",
		"SET|mano|TO|2",
		"TEXT|A manó pánikba esik.",
		"TEXT|<em>– Naaa... Biztosan tudod...</em>",
		"TEXT|Kilógatod szívó nyelvedet a szádból és egyik öklöddel ütögetni kezed a másik tenyeredet.",
		"TEXT|<em>– Jó, jó, felejtsük el a kérdést! –</em> nyüszít a manó. Odahajít egy erszényt eléd, amin egy cetli hírdeti: <b>\"Morki álompor\"</b>. A manó elkotródik; visszaül a kapu mellé a falhoz és még csak véletlenül sem tekint feléd...",
		"BACK",
		"NEW",
		"ID|xx19",
		"SET|sarkany|TO|1",
		"TEXT|Bekapcsolod a stukkert. Az zümmögni kezd, egyre hangosabban. Megpróbálod lelőni a dögöt, de hiába húzod a ravaszt – még <b>nem töltötte fel</b> magát a fegyver.",
		"TEXT|A sárkány azonban felébred a zajra és tüstént nekilát, hogy <b>megszüntesse a zajforrást</b>...",
		"TEXT|Rémülten menekülsz, de sarokba szorulsz. A bestia kitátja a pofáját és arra készül hogy megörökítsen az utókornak: fel akar égetni a falra, hogy aztán évekig gyönyörködhessen a <b>\"sült szúnyog\"</b> képe előtt...",
		"TEXT|Ekkor azonban a zümmögés abbamarad. Diadalittasan felkiáltasz és rálősz a sárkányra. Az pedig FÉLIG eltűnik. Túl nagy volt, így nem tudta a fegyver az egész sárkányt elteleportálni.",
		"TEXT|A feje és nyaka itt maradt. A többi része a szomszédos város <b>felett</b> jelenik meg 100 méterrel... (Na és mért pont ez maradt meg? Talán hogy ne kelljen új helyszínképet rajzolni...)",
		"TEXT|Elraksz emlékbe egy <b>sárkánypikkelyt</b>. (Van vagy fél kiló...)",
		"CHOICE|xtorony2b|bemész a toronyba",
		"NEW",
		"ID|xx2",
		"TEXT|Igen ám, de ahhoz seb is kéne rajtuk. Mert sajnos nem vámpír vagy, hanem egy <b>fogatlan</b> kis szúnyogocska, aki most éhen marad.",
		"BACK",
		"NEW",
		"ID|xx20",
		"CLEAR",
		"IMAGE|halal.gif",
		"TEXT|Nekiveselkedsz, de persze semmi eredménye sincs. Ki tudja, hány tonnás ez a dög. Valamit azonban sikerül elérned: a sárkány felébred, és a farkával lecsap, mint egy <b>szúnyogot</b>...",
		"DEATH",
		"NEW",
		"ID|xx21",
		"TEXT|A Batman-szerű figura felnéz rád. A maszk csak a szemét takarja el az arcából és megrökönyödsz a többi részének látványán: ez egy igazi <b>denevérember</b>... Hát persze, különben nem is ápolnák a Félszerzet Szanatóriumban!",
		"TEXT|Nagy nehezen szóra bírod. Elmondja, hogy pocsékul érzi magát. Talált egy képregényt, ami őróla szólt. Elkezdte olvasni és rosszul lett tőle. Mert ott olyanokat írtak, hogy ő a Jóért harcol, gazdag és sokat adakozik... Először nem tudta sírjon-e vagy nevessen ezeken a képtelenségeken.",
		"TEXT|Aztán beszélt egy varázslóval, aki elmondta, hogy látta őt a tévében (\"Ez egy különös szerkezet\" – magyarázza) egy rajzfilmben. Ekkor ő lelkileg <b>összeomlott</b> és azóta – évek óta – itt kezelik.",
		"CHOICE|xx21b|begyűjtesz némi denevérszőrt|batman|EQ|0|grenda|EQ|1",
		"BACK",
		"NEW",
		"ID|xx21b",
		"SET|batman|TO|1",
		"TEXT|Megsimogatod úgy, mintha ezzel vigasztalnád. De közben kitépsz egy marék <b>szőrt</b> a testéből. Észre sem veszi.",
		"BACK",
		"NEW",
		"ID|xx22a",
		"SET|ekszeresz|TO|1",
		"TEXT|<em>– Szevasz fiacskám. Mondd csak, merre vannak az ékszerek? Na nem mintha ki akarnálak rabolni, csak úgy érdeklődés szintjén, mmm.... érdeklődök.</em>",
		"TEXT|<em>– Ékszerek...?!</em>",
		"TEXT|<em>– Ez egy ékszerbolt, nem?</em>",
		"TEXT|<em>– Várjunk csak... Ja, igen! Az!</em>",
		"TEXT|<em>– Látom, vág az eszed. Tehát merre vannak az ékszerek?</em>",
		"TEXT|<em>– El vannak rejtve biztos helyre. Nem szeretnénk, ha kirabolnának minket.</em>",
		"TEXT|Némi kínos csend után a srác megszólal:",
		"TEXT|<em>– Tudja az úr, az apám nagyon beteg. Csak egy bizonyos <b>varázsfőzet</b> segíthetne rajta. Egy erdei boszorkány, bizonyos <b>Grenda</b> főz ilyesmit. Ha hozna az úr egy adagot, akkor kapna tőlünk ajándékba valamit.</em>",
		"TEXT|<em>– Úgy nézek ki, mint egy futár?</em>",
		"TEXT|<em>– Inkább mint egy... ööö... nem merem kimondani, mert még előttem az élet... De apám beteg, nekem meg itt kell ülnöm a boltban. Szóval kérem, kérem, kérem, legyen szíve, vagy csöves keringési rendszere, vagy mi...</em>",
		"BACK",
		"NEW",
		"ID|xx22b",
		"SET|grenda|TO|3",
		"TEXT|<em>– Nesze, a lötty!</em>",
		"TEXT|Átnyújtod a furcsa folyadékot. A fiú nem hálátlan. Szabadkozva néz rád, majd <b>lenyomja a torkán</b> az ujját. Hamarosan felöklendezik egy <b>ezüst karkötőt</b> és barátságosan nyújtja feléd. Kicsit te is szabadkozol, semmi kedved elvenni a csupa nyál cuccot, de végül odatartod a tarisznyád és ő belepottyantja. \"Így legalább nem kellett hozzáérnem!\" – gondolod elégedetten, de amikor legközelebb majd belenyúlsz a zsákodba, <b>jól meglepődsz</b>...",
		"BACK",
		"NEW",
		"ID|xx22c",
		"TEXT|<em>– Szúnyog úr! Ugye nem hagy minket pácban?</em>",
		"TEXT|<em>– Pácban? Ki akar titeket megfőzni?</em>",
		"TEXT|A kölyök a homlokára csap.",
		"TEXT|<em>– A gyógyító főzetről beszélek. Ugye elhozza nekünk az úr?</em>",
		"TEXT|Bólogatsz, hogy persze.",
		"BACK",
		"NEW",
		"ID|xx22d",
		"TEXT|<em>– Mi újság kölyök? Hatott a gyógyfőzet?</em>",
		"TEXT|<em>– Még nem voltam otthon, Szúnyog úr. Tudja, nem hagyhatom itt a boltot.</em>",
		"TEXT|<em>– Miből éltek egyáltalán? Azon az egy karkötőn kívül még semmit sem láttam.</em>",
		"TEXT|<em>– Igen, minden hétköznap veszteséges. Egyedül abból élünk, hogy hétvégén zárva tartunk.</em>",
		"BACK",
		"NEW",
		"ID|xx23",
		"TEXT|Jó ötlet, de mivel semmi mozdíthatót nem látsz, mégis mit akarsz elvinni? A kölyköt?",
		"BACK",
		"NEW",
		"ID|xx24a",
		"SET|grenda|TO|1",
		"TEXT|<em>– Isten áldja, öreganyám!</em>",
		"TEXT|<em>– Naha! –</em> dohog. <em>– Aztán melyik? Amúgy szerencséd, hogy öreganyádnak szólítottál, különben... –</em> s itt elhúzza mutatóujját a torka előtt.",
		"TEXT|<em>– Jól van banya. Tudnál nekem segíteni? Vissza akarok jutni a saját világomba.</em>",
		"TEXT|<em>– Én csak gyógyfőzeteket csinálok. Ha akarod, neked is készítek egyet, csak hozzál <b>denevérszőrt</b> és egy <b>sárkánypikkelyt</b>.</em>",
		"BACK",
		"NEW",
		"ID|xx24b",
		"SET|grenda|TO|2",
		"SET|batman|TO|2",
		"SET|sarkany|TO|2",
		"TEXT|A banya kikapja a kezedből a denevérszőrt és megszagolja.",
		"TEXT|<em>– Biztos, hogy ez igazi denevér? </em>– kérdezi, de választ sem várva belehajítja az üstbe. Aztán elkéri a sárkánypikkelyt. A fél kilós pikkelyt alig bírja elcipelni az üstig, és közben folyamatosan káromkodik és siránkozik a gerince miatt.",
		"TEXT|A főzet fél óra alatt készül el, addig azzal szórakoztatod a banyát, hogy Jancsi és Juliska nevű eltűnt gyerekek iránt érdeklődsz, tudakolod miért nem mézeskalácsból van a ház és a nyanya fekete macskáját kergeted, futás közben össze-vissza lóbálva hosszú nyelved.",
		"BACK",
		"NEW",
		"ID|xx24c",
		"TEXT|<em>– Na? –</em> kérdezi a vénség. <em>– Megvannak az összetevők?</em>",
		"TEXT|<em>– Ööö... mit is kell szereznem?</em>",
		"TEXT|<em>– Egy marék <b>denevérszőrt</b> és egy <b>sárkánypikkelyt</b>, te memóriabajnok!</em>",
		"BACK",
		"NEW",
		"ID|xx24d",
		"TEXT|Nincs már mit tárgyalnod a vén banyával. Inkább a macskával próbálsz társalogni, de az csak unottan bámul a pofádba.",
		"BACK",
		"NEW",
		"ID|xx25",
		"TEXT|És <b>hol</b> olvastad te azt, hogy van seprűje?",
		"BACK",
		"NEW",
		"ID|xx26",
		"CLEAR",
		"IMAGE|halal.gif",
		"TEXT|Ráveted magad, de a banya hihetetlenül gyorsan fejbecsap a görbe bottal.",
		"TEXT|Ájulásodból eszmélve különös pózban találod magad: egy kis üvegbe vagy <b>belegyömöszölve</b>. Melletted további üvegek sorakoznak, bennük darált hangya, oszlófélben lévő egér és egyéb furcsa dolgok foglalnak helyet.",
		"TEXT|Te is egy <b>varázskellék</b> lettél!",
		"DEATH",
		"NEW",
		"ID|xx27a",
		"TEXT|<em>– Helló!</em>",
		"TEXT|<em>– Mit akarsz?</em>",
		"TEXT|<em>– Hááát... hazajutni a világomba, visszaváltozni emberré és megnézni este a Barátok közt legújabb részeit...</em>",
		"TEXT|<em>– Úgy értem, tőlem mit akarsz?</em>",
		"TEXT|<em>– Jaaa! Fogalmam sincs. Csak úgy kóborlok itt.</em>",
		"TEXT|<em>– Hát akkor kotródj el szépen! Fontos dolgom van </em>– jelenti ki és folytatja a semmittevést...",
		"BACK",
		"NEW",
		"ID|xx27b",
		"SET|kovacs|TO|1",
		"TEXT|<em>– Helló! Valami jó kis ezüstfegyvert tudnál nekem készíteni?</em>",
		"TEXT|<em>– Nem olyan egyszerű dolog ez! Sőt, mondhatni, olyan összetett, mint a szemed. Először is: szerezz nekem <b>ezüstöt</b>, mert nekem nemigen van itthon felesleges... Másodszor: szerezz <b>fűtőanyagot</b>, mert a szénből is teljesen kifogytam.</em>",
		"BACK",
		"NEW",
		"ID|xx27c",
		"SET|kovacs|TO|2",
		"SET|grenda|TO|4",
		"SET|hoember|TO|3",
		"TEXT|Átnyújtod a karkötőt. A kovács egy pillanatig nézi, majd apró darabokra töri. Aztán átnyújtod a széndarabot.",
		"TEXT|<em>– Ez az összes szén? –</em> kérdezi röhögve. <em>– Ezzel fűtsek?</em>",
		"TEXT|<em>– Persze –</em> vágod oda könnyedén.",
		"TEXT|A kovács fejcsóválva elmegy hátra, és megkeresi a <b>legócskább kardját</b>. Csupa rozsda, csoda hogy szét nem esik. Az ezüst-darabkákat beszórja egy kis lyukba, majd meggyújtja a tüzet. A szén egy pillanat alatt elég, de ezalatt az ezüstöt ráolvasztja a kard végére. Átnyújtja a fegyvert, amit röhögve veszel át: egy rozsdás kard, végén egy <b>ezüstgömbbel</b>. Inkább hasonlít bunkóra, mint kardra.",
		"TEXT|Na mindegy, a farkasember bosszújához biztos tökéletes lesz...",
		"BACK",
		"NEW",
		"ID|xx27d",
		"TEXT|<em>– Nos? –</em> kérdezi a kovács. <em>– Megvannak?</em>",
		"TEXT|<em>– Mi van meg?</em>",
		"TEXT|<em>– Hát amiről beszéltünk! Az ezüsttárgy meg valami fűtőanyag.</em>",
		"TEXT|<em>– Ja, nincs. De dolgozom az ügyön...</em>",
		"BACK",
		"NEW",
		"ID|xx27e",
		"TEXT|Azt hiszem a kováccsal már eleget szórakoztál.",
		"BACK",
		"NEW",
		"ID|xx28",
		"TEXT|Egy ideig elszórakoztok azon, hogy a nyelved az üllőre teszed, és amikor a kovács lecsap, gyorsan visszaszívod a szádba. Két perc múlva viszont <b>nagyon</b> eleged lesz a játékból, és kezed a szád elé tapasztva félrevonulsz, hogy senki se hallja üvöltésed.",
		"BACK",
		"NEW",
		"ID|xx29",
		"TEXT|Világéletedben utáltad a pókokat, és mióta szúnyog-DNS is van benned, ez az érzés csak fokozódott. A pókember barátságosan integet és egy sarok felé hívogat, ahol egy <b>sakkasztal</b> van.",
		"CHOICE|xx30|leállsz vele sakkozni",
		"BACK",
		"NEW",
		"ID|xx3",
		"TEXT|Két kézre fogod a méretes végtagot, de ekkor leesik az állad. Elfelejtetted, hogy nincsenek <b>fogaid</b>! Egy disznólábat nem lehet a nyelveddel beszippantani, egyben lenyelni meg kicsit vicces lenne.",
		"TEXT|Két könnycsepp indul meg szemedből – itt van ez a fincsi kaja és nem tudsz vele mit kezdeni.",
		"BACK",
		"NEW",
		"ID|xx30",
		"CLEAR",
		"IMAGE|halal.gif",
		"TEXT|Hát ezt megszívtad. Jól <b>bedőltél</b> neki.",
		"TEXT|A pókember csak azért hívott a sarokba, mert oda senki sem figyel. Körbeteker téged ragadós hálóval, betapasztja a szádat és komótosan nekiáll, hogy elfogyasszon.",
		"DEATH",
		"NEW",
		"ID|xx31a",
		"SET|farkas|TO|1",
		"TEXT|Teljesen maga alatt van. Depressziós, mióta elvesztette az ezüst rózsafüzérét... Mindig is kedvelted az őrültek társágát, így ráköszönsz:",
		"TEXT|<em>– Helló! Te egy farkasember vagy?</em>",
		"TEXT|<em>– Inkább <b>emberfarkasnak</b> tartom magam. Tudod, apám ember volt, anyám pedig egy...</em>",
		"TEXT|<em>– Jáááj, inkább <b>ne</b> menjünk bele a részletekbe!</em>",
		"TEXT|De a részletek bizony makacs dolgok. Nem tudod kiverni a fejedből a farkasember (vagy emberfarkas) <b>fogantatásának</b> képét...",
		"TEXT|<em>– Nem látszol túl vidámnak!</em>",
		"TEXT|<em>– Ja. Talán azért nem látszom vidámnak, mert nem vagyok vidám...</em>",
		"TEXT|<em>– Hát... igen. Van valami, amit megtehetek neked?</em>",
		"TEXT|A farkasember hosszú pillanatokig meredten bámul téged, aztán megszólal:",
		"TEXT|<em>– Tudod, nem élet ez! Én <b>farkasnak születtem</b>. Rohanni az erdőben, elkapni a kisnyulak nyakát, inni a forrásból és végül megugatni a holdat... Igen, az a nekem való. Nem úgy mint itt, <b>bezárva</b> négy fal közé, csupa őrült mellé!</em>",
		"TEXT|<em>– Miért vagy itt egyáltalán? És miért nem <b>szöksz meg</b>, ha rossz itt?!</em>",
		"TEXT|<em>– Az egy hosszú történet.</em>",
		"TEXT|<em>– Akkor mondd el a <b>rövid verziót</b>!</em>",
		"TEXT|<em>– Jó. Csak itt vagyok biztonságban. Egykori társam, Warion, aki szintén farkasember, vadászik rám. És van egy csomó embere. Mármint farkasembere. Ha kitenném innen a lábam, tuti <b>elkapnának</b>. Legutóbb csak a <b>sintér</b> kezére adtak, de azt ígérték, legközelebb <b>kolbászt</b> csinálnak belőlem!</em>",
		"TEXT|Míg te a farkaskolbász lehetséges aromáján gondolkozol, a farkasember lassan visszasüllyed jó kis depressziójába, de hirtelen felcsillan a szeme.",
		"TEXT|<em>– Te segíthetnél!</em>",
		"TEXT|<em>– Éspedig...? </em>– kérded gyanakodva.",
		"TEXT|<em>– Hozz nekem egy fegyvert. Egy kardot. Azzal kirontok innen és lekaszabolom Wariont és a bandáját. De <b>ezüstfegyver</b> legyen ám!</em>",
		"TEXT|Na szépen vagyunk. Talán nem véletlenül van ide bezárva...",
		"BACK",
		"NEW",
		"ID|xx31b",
		"SET|kovacs|TO|3",
		"SET|farkas|TO|2",
		"TEXT|A farkasember elveszi a fegyvert.",
		"TEXT|<em>– Szép munka –</em> mondja gúnyosan, majd elvigyorodik. <em>– Na Warion, készülhetsz a halálra! Élvezd ki hátralévő perceidet, mert most...</em>",
		"TEXT|<em>– Jó, jó –</em> szakítod félbe. <em>– Neki monologizálj. Engem az érdekel, hogy <b>te</b> hogy segítesz <b>rajtam</b>.</em>",
		"TEXT|<em>– Ja, persze –</em> A szőre alól előránt <b>egy szál rózsát</b>, és óvatosan a kezedbe nyomja búcsúajándék gyanánt. Aztán elrohan a folyosón, bömbölve és a kardot lengetve.",
		"TEXT|<em>– Sok sikert, vagy mi! –</em> kiabálsz utána.",
		"BACK",
		"NEW",
		"ID|xx31c",
		"TEXT|<em>– Na? Hol a kard? –</em> szegezi neked a kérdést.",
		"TEXT|<em>– Türelem, barátom! Nem olyan egyszerű ezüstkardot szerezni!</em>",
		"TEXT|<em>– Jó, várok. Ha eddig kibírtam, kibírom még pár óráig.</em>",
		"BACK",
		"NEW",
		"ID|xx32",
		"TEXT|<em>– Helló! –</em> kezded a szokásos módon. De meglepődve veszed észre, hogy a ló nem válaszol.",
		"TEXT|<em>– Tudom ám, hogy értesz engem! Csak hallgatag típus vagy.</em>",
		"TEXT|Semmi reakció.",
		"TEXT|<em>– Egy skót bemegy a kocsmába és azt mondja... –</em> erre sem reagál semmit. Talán ez tényleg egy <b>közönséges ló</b>. Ki is mondod hangosan:",
		"TEXT|<em>– Te egy közönséges, agyatlan igahúzó állat vagy!</em>",
		"TEXT|Erre tökönrúg. Ott is hagyod rögtön...",
		"BACK",
		"NEW",
		"ID|xx33a",
		"SET|cserkesz|TO|1",
		"TEXT|Belerúgsz a talpába. Erre morogva előmászik. Egy kék farmerbe és mocskos fehér atlétába öltözött borostás fickó. Nagyon hasonlít valakire...",
		"TEXT|<em>– Te vagy <b>Bruszvilisz</b>! –</em> kiáltasz rá.",
		"TEXT|A fickó majd összeesik ijedtében. Azt hitte, hogy valami mágus vagy és átkot mondtál rá. De amikor végigtapogatja magát és látja, hogy nem változott se majommá, se felhőkarcolóvá, megnyugszik.",
		"TEXT|<em>– Tévedsz. Én <b>Az Utolsó Csempész</b> vagyok. Rövidítve AUCS. Mint amit akkor mondasz, amikor belerúgsz az ágy sarkába.</em>",
		"TEXT|<em>– Persze, persze, Bruce. No, és mit csinálsz errefelé?</em>",
		"TEXT|<em>– Mondom, hogy nem vagyok Brúsz! Egy csempész vagyok. Tudod, hidegburkoló. Régebben zsaru voltam, de az nem volt elég <b>zöld</b>; ha érted, mire gondolok. Aztán felragadott valami hurrikán vagy mi és itt rakott le. De nem bánom, mert otthon úgyis csak untam magam. A lányom nem tisztelt, a feleségem meg egy büdös k****, aki annyit sem érdemel, hogy leköpjem. De itt jó: kék az ég, nedves a víz és a lószarszagot is hamar megszoktam...</em>",
		"TEXT|<em>– Oké, miszter Vilisz, akkor <b>mi a bibi</b>?</em>",
		"TEXT|<em>– Látszik rajtam, hogy valami hiányzik, ugye? Hát igen. A sok burkolástól megéheztem, és <b>burkolnék</b> már valamit. Élek-halok a <b>szarvashúsos pizzáért</b>. Ha tudnál nekem hozni, az bizony jó lenne...</em>",
		"BACK",
		"NEW",
		"ID|xx33b",
		"TEXT|Belerúgsz a talpába. Erre morogva előmászik.",
		"TEXT|<em>– Szarvashúsos pizza? –</em> teszi fel a legégetőbb kérdést.",
		"TEXT|<em>– Egyelőre sajnos...</em>",
		"TEXT|Meg se várja, hogy befejezd a mondatot, visszafekszik szunyálni.",
		"BACK",
		"NEW",
		"ID|xx33c",
		"TEXT|Belerúgsz a talpába. Erre morogva előmászik.",
		"TEXT|<em>– Íme! –</em> kiáltod diadalittasan és megrázod a szarvast. A csempész boldogan vigyorog.",
		"TEXT|<em>– Remek! A kocsmában majd megsütik, siess oda!</em>",
		"BACK",
		"NEW",
		"ID|xx33d",
		"SET|szarvas|TO|3",
		"SET|cserkesz|TO|3",
		"TEXT|Belerúgsz a talpába. Erre morogva, de élénken szimatolva előmászik.",
		"TEXT|Átnyújtod a friss, ropogós tésztát. A csempész boldog örömtáncba kezd. Az összes zsebét átkutatja, de csak egy <b>ceruzaelemet</b> talál.",
		"TEXT|<em>– Áh, az <b>ötödik elem</b>! Mennyit kerestem! De itt már úgysem veszem hasznát, neked adom cserébe. És egy jótanács: Légy résen, haver, mindig légy résen!</em>",
		"TEXT|Kacagva behúzódik a vackára és csak a csámcsogást hallani.",
		"BACK",
		"NEW",
		"ID|xx33e",
		"TEXT|Belerúgsz a talpába. Erre morogva előmászik. Egy kék farmerbe és mocskos fehér atlétába öltözött borostás fickó. Nagyon hasonlít valakire...",
		"TEXT|Most leginkább úgy néz ki, mint Brúszvilisz, paradicsomdarabokkal a szája környékén. Amikor látja hogy csak te vagy, vállon vereget és visszafekszik a pizza mellé.",
		"BACK",
		"NEW",
		"ID|xx34a",
		"TEXT|<em>– Énistenem-jóistenem, létsíkportált nyissál nekem.</em>",
		"TEXT|Választ persze nem kapsz. Erre elkezdesz káromkodni. Ekkor lecsap egy villám tőled tíz méterre, és szénné éget egy lerobbant BMW elé fogott szamarat.",
		"TEXT|<em>– BASSZUS! –</em> mennydörgi egy hang. <em>– HÁT NEM <b>MELLÉ MENT</b>?!</em>",
		"TEXT|<em>– NYUGODJ MEG DRÁGÁM! –</em> hallatszik egy alt női hang, persze ez is dörgő hangon. <em>– MÉG MEGINT BAJOD LESZ A SZÍVEDDEL...!</em>",
		"TEXT|<em>– VELEM CSAK NE SZÓRAKOZZON EGY HALANDÓ!</em>",
		"TEXT|<em>– Hé! –</em> kiáltasz fel a felhőkhöz. <em>– Segítenétek nekem hazajutni?</em>",
		"TEXT|<em>– NA NÉZZ ODA! MÉG LE IS TEGEZ! HIHETETLENEK EZEK A PONDRÓK!</em>",
		"TEXT|<em>– DRÁGÁM, HAGYD AZT AZ OSTOBÁT ÉS GYERE BE A SZOBÁBA. MOST KEZDŐDIK A KEDVENC SOROZATUNK.</em>",
		"TEXT|<em>– Hé! –</em> kiáltasz megint, de senki sem válaszol. Még csak villámok sem csapkodnak. <em>– Hé! –</em> Hát ezek itt hagytak a kulimászban...",
		"BACK",
		"NEW",
		"ID|xx35a",
		"SET|ufok|TO|1",
		"TEXT|<em>– Fogadjátok üdvözletemet, vándorai az űrnek! –</em> köszönsz illedelmesen.",
		"TEXT|<em>– Szevasz! –</em> válaszol a sapkás. <em>– Hát te meg mi vagy? Nem láttunk még ilyen lényt ezen a bolygón.</em>",
		"TEXT|<em>– Szúnyogembernek hívom magam. De amúgy <b>normális</b> embergyerek lennék, de egyszer csak huss, idekerültem egy másik világról. Félig szúnyoggá változva.</em>",
		"TEXT|<em>– Átváltoztál? Különös. Mondd csak, nem ittál valamit, amire rá volt írva, hogy <b>vegyi hulladék</b>?</em>",
		"TEXT|<em>– Nem.</em>",
		"TEXT|<em>– Esetleg felrobbantottál egy <b>atomerőművet</b>?</em>",
		"TEXT|<em>– Dehogy.</em>",
		"TEXT|<em>– Felidegesítettél egy <b>gonosz mágust</b>?</em>",
		"TEXT|<em>– Semmi hasonló. Csak úgy átalakultam.</em>",
		"TEXT|<em>– Hm, na mindegy. Nem láttál véletlenül egy <b>angyalt</b>?</em>",
		"TEXT|<em>– Egyelőre nem volt szerencsém. Miért?</em>|angyal|EQ|0",
		"TEXT|<em>– Dehogynem! Itt van az erdőben egy. De miért kérded?</em>|angyal|GT|0",
		"TEXT|<em>– Nagyon kellene nekünk egy <b>angyaltoll</b>. Ha hoznál, nagyon meghálálnánk. De ne kérdezd, mire kell!</em>",
		"TEXT|A másik űrlény kifújja a füstöt és megszólal:",
		"TEXT|<em>– Rádió.</em>",
		"TEXT|<em>– Ja, igen –</em> folytatja a kisebbik. <em>– Kellene nekünk még <b>két ceruzaelem</b> is. Tudod, másfél voltos... A táskarádiónkba.</em>",
		"BACK",
		"NEW",
		"ID|xx35b",
		"SET|angyal|TO|3",
		"SET|ufok|TO|2",
		"TEXT|Megcsiklandozod a tollal a kisebbik lény hasát. Az felröhög, de nem azért, mert csiklandós, hanem mert észreveszi, hogy miféle toll az.",
		"TEXT|<em>– Ide vele! –</em> kiált, és kikapja a kezedből. Boldogan felrohan vele az űrhajóra. A másik leakaszt egy fegyvert az övéről.",
		"TEXT|<em>– Kösz. <b>Teleport-pisztoly</b>. El tudsz vele egy másik térbe juttatni valamit. Vagy valakit... De ügyes legyél ám, mert már csak <b>egy töltet</b> maradt benne! Látod, nem vagyunk hálátlanok. Az elemeket ne felejtsd el, azokért is megjutalmazunk! <b>Két ceruzaelem</b>, ne feledd!</em>",
		"BACK",
		"NEW",
		"ID|xx35c",
		"SET|cserkesz|TO|4",
		"SET|tavelem|TO|2",
		"TEXT|<em>– Örvendezzetek, megvannak az elemek!</em>",
		"TEXT|Átnyújtod a két áramforrást. A két űrlény nagyon boldog.",
		"TEXT|<em>– Ne félj, megkapod a jutalmad. Ezt egy napból gyűjtöttük –</em> és ezzel hozzádvág egy kis csomagot. –<em><b>Csillagpor</b> van benne. Állítólag ezen a világon fontos <b>varázskelléknek</b> számít.</em>",
		"BACK",
		"NEW",
		"ID|xx35d",
		"TEXT|<em>– Üdv, lények az űrből!</em>",
		"TEXT|<em>– Na szevasz. Megtaláltad az angyaltollat?</em>",
		"TEXT|<em>– Ööö, nem. De megszerzem, becsszó!</em>",
		"TEXT|<em>– Jóvan, csak ügyesen!</em>",
		"BACK",
		"NEW",
		"ID|xx35e",
		"TEXT|<em>– Üdv, lények az űrből!</em>",
		"TEXT|<em>– Szevasz Szúnyogember! A két elemmel mizu?</em>",
		"TEXT|<em>– Semmi jó, nincs nálam egy sem.</em>|cserkesz|LT|3|tavelem|EQ|0",
		"TEXT|<em>– Találtam egy távirányítóba valót. Majd szólok, ha lesz még egy.</em>|cserkesz|LT|3|tavelem|EQ|1",
		"TEXT|<em>– Egy már megvan. Szerintem biztos találok majd még egyet.</em>|cserkesz|EQ|3|tavelem|EQ|0",
		"TEXT|<em>– Akkor kalandozzál csak tovább, de ügyesebben!</em>",
		"BACK",
		"NEW",
		"ID|xx36",
		"TEXT|Kezedbe veszed a fényképdarabokat. Szép egyenlő részekre van vágva. Annyit tudsz kivenni, hogy ez egy régi, megfakult kép és valamilyen személyek lehetnek rajta.",
		"TEXT|Ez egy egyszerű kis játék. Kattints két darabra, hogy felcseréld őket. A cél az, hogy összeálljon az <b>eredeti kép</b>.",
		"MINIGAME|MinigameSnow",
		"CHOICE|xx37|nagyon ügyesen összerakod",
		"BACK",
		"NEW",
		"ID|xx37",
		"IMAGE|foto.gif",
		"SET|hoember|TO|2",
		"TEXT|A hóember nagyon boldog, hogy sikerült egyberakni a képet. Szén szemeiből folyékony salak csorog könnyek gyanánt. Elégedetten tartod elé a markod.",
		"TEXT|<em>– Mit is adhatnék? –</em> szomorodik el. <em>– Hiszen semmim sincs!</em>",
		"TEXT|Végignézel a hóemberen. Hát, valóban... Mindössze egy fonnyadt sárgarépa orra van, meg két széndarab szeme. Szánalmasan néz ki. De te nem adod fel, kitartó kalandorként nem mozdulsz, míg nem kapsz valamit cserébe. Sóhajt és kiveszi az egyik széndarabot...",
		"TEXT|Meglepődve szörcsögsz, majd a tarisznyádba pottyantod <b>a szemet</b>.",
		"TEXT|<em>– Na és az orrod? Talán hasznát venném a kaland során egy <b>répának</b>...</em>",
		"TEXT|<em>– Mi van? Megrépáznál egy szegény félszemű hóembert?! Hát milyen ember vagy te?!</em>",
		"TEXT|<em>– Csak félig vagyok az. De jól van, tartsd csak meg, nagyorrú.</em>",
		"BACK",
		"NEW",
		"ID|xx38a",
		"TEXT|Mindig <b>elmenekül</b> előled. Akárhogy is próbálod magadhoz csalogatni, nem jön egy lépéssel sem közelebb. Rákáromkodsz, de ennek sincs semmi hatása.",
		"BACK",
		"NEW",
		"ID|xx38b",
		"SET|bolha|TO|2",
		"SET|szarvas|TO|1",
		"TEXT|Mindig elmenekül előled. Akárhogy is próbálod magadhoz csalogatni, nem jön egy lépéssel sem közelebb. Rákáromkodsz, de ennek sincs semmi hatása.",
		"TEXT|Kutakodsz valami ételmaradék, kis morzsa után a tarisznyádban, amikor megcsíp a <b>bolha</b>. Mérgesen odahajítod a szarvas felé. A kis állat megragadja a szarvas fején a szőrt, erre az hanyattfekszik, és mellső lábaival próbálja vakargatni a kobakját. Aztán hogy nem jut semmire, elkezd rohangálni össze-vissza, és végül <b>nekirohan egy fának</b>.",
		"TEXT|Megvonod a vállad, és a hátadra veszed az <b>ájult négylábút</b>.",
		"BACK",
		"NEW",
		"ID|xx39a",
		"SET|hoember|TO|1",
		"TEXT|Mindig is szerettél volna egy <b>boxzsákot</b>, de a szüleid sose engedték. (Így aggressziódat csak a Duke Nukem-ben élheted ki.) Odaállsz a hóember elé és beleboxolsz a szemét szimbolizáló széndarabba.",
		"TEXT|<em>– Aú! –</em> kiált fel a hóember. <em>– Ezt meg miért csináltad?</em>",
		"TEXT|<em>– Bocsánat! Izé... elnézést –</em> hebegsz.",
		"TEXT|<em>– Amúgy is szörnyű az élet, pláne ha egy ilyen nyiszlett kis szúnyog megveri a magatehetetlen hóembereket. Micsoda világ!</em>",
		"TEXT|Még egy ideig mentegetőzöl, mire megnyugszik. Elárulja, miért olyan szomorú:",
		"TEXT|<em>– ...És akkor az én egyetlen kincsem...</em>",
		"TEXT|<em>– ...a drágaszágom... –</em> kotyogsz közbe illetlenül.",
		"TEXT|<em>– ...beleesett az iratmegsemmisítőbe. Az egyetlen tárgy, a <b>fénykép</b>, ami még jelentett nekem valamit!</em>",
		"TEXT|Körülnézel. Sehol nem látsz semmiféle iratmegsemmisítőt...",
		"CHOICE|xx36|segítesz neki",
		"BACK",
		"NEW",
		"ID|xx39b",
		"TEXT|<em>– No? Mi van azzal a fényképpel?</em>",
		"TEXT|<em>– Mi lenne?! –</em> kesereg. <em>– A helyzet változatlan.</em>",
		"CHOICE|xx36|segítesz neki",
		"BACK",
		"NEW",
		"ID|xx4",
		"SET|bor|TO|1",
		"TEXT|Beledugod hosszú nyelved az üvegbe és hátradőlsz. Becsukod a szemed és magad elé képzelsz egy tengerparti strandot, ahol <b>szívószállal</b> iszod a koktélod. A valóságba egy ogre falrepesztő böfögése hoz vissza.",
		"TEXT|A maradék bort elrejted a tarisznyádban.",
		"BACK",
		"NEW",
		"ID|xx40",
		"CLEAR",
		"TEXT|Nem könnyű terep ez még tapasztalt hegymászónak sem, nemhogy <b>neked</b>...",
		"TEXT|Erre hamar rá is jössz, mert fél perc mászás után már alig érzed az ujjaidat, és hol van még a szurdok alja!",
		"CHOICE|xx41|tovább mászol",
		"CHOICE|xx42|visszamászol",
		"NEW",
		"ID|xx41",
		"CLEAR",
		"IMAGE|halal.gif",
		"TEXT|Mit neked egy kis zsibbadás! Egy kis peremnél megállsz pihenni, majd tovább araszolsz lefelé a meredek falon.",
		"TEXT|Aztán véletlenül rálépsz egy gyíkra és <b>lecsúszol a mélybe</b>...",
		"DEATH",
		"NEW",
		"ID|xx42",
		"CLEAR",
		"IMAGE|halal.gif",
		"TEXT|Jól döntöttél. Még éppen van annyi erőd, hogy eljuss a tetejéig.",
		"TEXT|Már alig egy méterre vagy, amikor észreveszed, hogy egy kötött sapkás dögkeselyű tart feléd. Ott repked mögötted és belecsíp a nyakadba. Önkéntelenül odakapsz, így viszont nem tudsz <b>kapaszkodni</b>...",
		"DEATH",
		"NEW",
		"ID|xx43",
		"SET|bor|TO|3",
		"TEXT|Előráncigálod a gyűrött pergament. A varázslónak felcsillan a szeme.",
		"TEXT|<em>– Végül sikerült megtalálni Jonowant?</em>",
		"TEXT|<em>– Nem igazán. De nem is ez a lényeg. Tudsz vele mit kezdeni?</em>",
		"TEXT|Pit leül töprengeni egy csöppet. Úgy két óra múlva feláll:",
		"TEXT|<em>– Haza tudlak vele juttatni. De szükség van néhány varázskomponensre.</em>",
		"TEXT|<em>– Sejtettem. És mik azok?</em>",
		"TEXT|<em>– Mindössze három dologra van szükség. Először is kell egy szál <b>vörös rózsa</b>.</em>",
		"TEXT|<em>– Hú. Oké, menni fog. Azt hittem nehezebben beszerezhető dolgok kellenek.</em>",
		"TEXT|<em>– Másodszor, kell egy zacskónyi <b>morki álompor</b>.</em>",
		"TEXT|<em>– Aha. És merre van az a Mork?</em>",
		"TEXT|<em>– Kábé háromszáz mérföld nyugatra –</em> feleli Pit, mire csuklasz egy nagyot.",
		"TEXT|<em>– Végül kell még egy csipetnyi <b>csillagpor</b>.</em>",
		"TEXT|<em>– Ammegmi?!</em>",
		"TEXT|<em>– Az űrben, a napok közelében lehet begyűjteni...</em>",
		"TEXT|<em>– MI?! –</em> fakadsz ki. – <em>Sétáljak fel az <b>űrbe</b> vagy mi?!</em>",
		"TEXT|<em>– Ne idegeskedj! Próbálkozz az <b>űrlényeknél</b>, talán van nekik, vagy segíthetnek szerezni...</em>",
		"TEXT|Az ám! Az űrlények. Róluk el is felejtkeztél, pedig párszor már összefutottál velük.",
		"CHOICE|xtorony2|vissza",
		"NEW",
		"ID|xx44",
		"CLEAR",
		"TEXT|Szép sorban előpakolsz mindent. A mágus elégedetten dörzsöli a kezét. Még a szája szélét is nyalogatja. Fene a gusztusát!",
		"CHOICE|xit|tovább",
		"NEW",
		"ID|xx45",
		"SET|tavelem|TO|1",
		"TEXT|<em>– Ez működik? –</em> kérded.",
		"TEXT|<em>– Persze! Különben minek tartanám?</em>",
		"TEXT|<em>– De, honnan jön az <b>adás</b>?</em>",
		"TEXT|Pit nagy levegőt vesz és egy félórás monológba fog a mágia természetéről és a síkok közti kapcsolatokról. Egy kukkot sem értesz. De amikor nem figyel oda, kicsórod az <b>elemet</b> a távirányítóból. Az ufók nagy jutalmat ígértek, ha sikerül kettőt találni...",
		"CHOICE|xtorony2|vissza",
		"NEW",
		"ID|xx46",
		"TEXT|Egy sárkányfejet látsz a piactéren. Két utcagyerek épp most töri ki a dög egyik agyarát és boldogan visítozva elrohannak.",
		"CHOICE|xtorony2|vissza",
		"NEW",
		"ID|xx47",
		"TEXT|A tudós épp egy asztalnál ülve írogat és rajzolgat. Megkér, hogy hülyeségekkel ne bosszantsd.",
		"TEXT|Megkérdezed, merre találhatod Jonowant, de ő csak rázza a fejét.|bor|LT|2",
		"TEXT|<em>– Ő egy vándorló professzor –</em> magyarázza.|bor|LT|2",
		"TEXT|Megkérdezed, miket is kell keresned és hol találhatók.|bor|GT|2",
		"TEXT|<em>– Kell egy vörös <b>rózsa</b> és két varázspor: egy adag morki <b>álompor</b> és egy adag <b>csillagpor</b>. De hogy merre lehet ilyeneket beszerezni, arra neked kell rájönnöd.</em>|bor|GT|2",
		"CHOICE|xtorony2|vissza",
		"NEW",
		"ID|xx48",
		"TEXT|Kapsz is cserébe egy pár karmolást a kezedre.",
		"TEXT|A kicsorgó véredet felnyalogatod hosszú nyelveddel.",
		"TEXT|A banya meg rádszól, hogy <b>ne molesztáld</b> az ártatlan kis cicácskáját.",
		"BACK",
		"NEW",
		"ID|xx49",
		"TEXT|Elkezdesz rejtett kincsek után kutatni a homok alatt.",
		"TEXT|A vén szatyor megfenyeget a fakanállal!",
		"TEXT|<em>– Milyen undorító kalandor az, aki ártatlan kiscicák <b>almos tálkájában</b> turkál?!</em>",
		"BACK",
		"NEW",
		"ID|xx5",
		"TEXT|Sok részeg és ittas kreatúra. Megszámolni sem tudod, hány faj képviselője van jelen. (Egyrészt, te csak számítógéppel tudsz számolni, másrészt a lények felét nem látod, mert az asztal alatt hortyognak.)",
		"BACK",
		"NEW",
		"ID|xx50a",
		"SET|torpe|TO|1",
		"TEXT|Átülsz egy nagy szakállú, sisakos-vértes-csatabárdos törpe mellé. Apró malacszemeivel gyanakodva pislog rád.",
		"TEXT|<em>– Hát te meg mi vagy?</em>",
		"TEXT|<em>– Egy, ööö, szúnyogember...</em>",
		"TEXT|<em>– Még sosem láttam ilyet, pedig harcoltam már minden ellen. Mi az osztályod?</em>",
		"TEXT|<em>– A mim?</em>",
		"TEXT|<em>– <b>Osztály</b>! Harcos, mágus, pap vagy ilyesmi.</em>",
		"TEXT|<em>– Nem tudom. Legyek mondjuk egy nagyhatalmú mágus!</em>",
		"TEXT|<em>– Inkább egy <b>nulladik szintű tolvajnak</b> tűnsz.</em>",
		"TEXT|Sértődötten visszaülsz a saját asztalodhoz.",
		"BACK",
		"NEW",
		"ID|xx50b",
		"SET|torpe|TO|2",
		"TEXT|Megint odaülsz a törpéhez.",
		"TEXT|<em>– Na mit akarsz már megint?</em>",
		"TEXT|<em>– Ezt a nulladik szintet meg osztályt elmagyaráznád? Sose értettem a szerepjátékhoz.</em>",
		"TEXT|<em>– Miféle játék? Itt élet-halálról van szó. Nem kezdhetsz úgy harcolni valakivel, ha nem tudod, mire számíthatsz. Számomra egyébként a <b>belső értékek</b> a legfontosabbak.</em>",
		"TEXT|Ezen meghatódsz. Nem is gondoltad volna, hogy a marcona külső alatt egy érző szív dobog.",
		"TEXT|<em>– Mint például?</em>",
		"TEXT|<em>– Mondom, az <b>értékek</b>. Életerő, támadóerő, kritikus ütés százalék...</em>",
		"TEXT|<em>– Ez micsoda baromság!</em>",
		"TEXT|<em>– Te csak ne pofázz, kis tolvaj! Csak azért nem csaplak le, mert úgyse érsz többet <b>2 XP</b>-nél!</em>",
		"TEXT|Visszaülsz a helyedre. A törpe arcán röpke tíz perc alatt elmúlik az izomrángás.",
		"BACK",
		"NEW",
		"ID|xx50c",
		"SET|torpe|TO|3",
		"TEXT|Megint odaülsz a törpéhez. Kicsit már habzik a szája.",
		"TEXT|<em>– Már megint te?! Üsse kő, csak beváltom azt a 2 XP-t a végén...</em>",
		"TEXT|<em>– Nem akarok én semmi rosszat! Csak érdeklődnék, hogy mi újság Móriában?</em>",
		"TEXT|A törpe keze rákulcsolódik a csatabárdra.",
		"TEXT|<em>– Na most ülj el innen!</em>",
		"TEXT|Kicsit duzzogva visszaülsz a saját helyedre.",
		"BACK",
		"NEW",
		"ID|xx50d",
		"CLEAR",
		"IMAGE|halal.gif",
		"TEXT|Barátságosan mosolyogva odaülsz a törpéhez.",
		"TEXT|<em>– Na mizu Törpicur?</em>",
		"TEXT|A törpe szájából habos nyál folyik ki és idegesen felpattan. Elkiáltja a híres törpe csatakiáltását, aztán a bárdjával <b>kettészel téged</b>.",
		"TEXT|Mielőtt kiszenvednél, a törpe rátapos szemgolyóidra a bakancsával. Így már nem is látod, milyen jópofa tömegverekedés tör ki a kocsmában. Ilyen buliról lemaradni?!",
		"DEATH",
		"NEW",
		"ID|xx6a",
		"SET|szarvas|TO|2",
		"TEXT|Két perc múlva a pincér előkeríti neked a szakácsot. Egy megtermett félork az. Elpanaszolod neki, hogy micsoda szemétség az, hogy az <b>étkezési fogyatékosokra</b> nem gondolnak! A félork rázza a fejét, és valamilyen ismeretlen nyelven káromkodik. A kocsma népe fennhangon röhög és kíváncsian bámul titeket.",
		"TEXT|A szarvas ebben a pillanatban <b>magához tér</b> a kocsmai zsivalyra. Amint meglátja a félork véres kötényét és a kikandikáló bárdot, felbőg, és megpróbál eliszkolni. A sok részeg egyszerre veti utána magát; egy barbár a hátára pattan és pár perc rodeó után kifárasztja a dögöt. A szakács a megbékélő szarvast simogatva eltűnik a konyhában.",
		"TEXT|Egy óra múlva megkapod a <b>szarvashúsos pizzát</b>...",
		"BACK",
		"NEW",
		"ID|xx6b",
		"TEXT|Két perc múlva a pincér előkeríti neked a szakácsot. Egy megtermett félork az. Elpanaszolod neki, hogy micsoda szemétség az, hogy az <b>étkezési fogyatékosokra</b> nem gondolnak! A félork megrázza a fejét, nem tud veled mit kezdeni.",
		"TEXT|<em>– Na mindegy. Pizzát tud sütni? </em>– kérdezed nem sok reménnyel. Elvégre ez egy fantasy világ, honnan is ismerné a pizzát. A válasz azonban meglepő. Elmondja, hogy ez az egyik kedvence és szívesen süt neked egy szarvashúsos pizzát, ha hozol neki <b>megfelelő húst</b>.",
		"BACK",
		"NEW",
		"ID|xx6c",
		"TEXT|Két perc múlva a pincér előkeríti neked a szakácsot. Egy megtermett félork az. Elpanaszolod neki, hogy micsoda szemétség az, hogy az <b>étkezési fogyatékosokra</b> nem gondolnak! A félork megrázza a fejét, nem tud veled mit kezdeni.",
		"TEXT|<em>– Ne sajnáld! –</em> vigasztal egy buckamanó. <em>– Én már ettem a disznójukból, de ne tudd meg milyen! De azért elmondom: fogják a még élő disznót, egy zöld...</em>",
		"TEXT|Ennél tovább nem jut a mesélésben, mert a szakács két kézre kapja a súlyos combot és <b>lebunkózza</b> a monológba fogó buckamanót. De nem verbálisan. A kis fickó szemei keresztbe állnak, aztán összeesik. A félork visszahajítja a malacot a tányérodra és otthagy.",
		"BACK",
		"NEW",
		"ID|xx7a",
		"SET|angyal|TO|1",
		"TEXT|<em>– Álmodom, vagy te tényleg egy angyal vagy?</em>",
		"TEXT|<em>– Tényleg az vagyok. Nem akarsz nekem segíteni? Ellopta valaki a <b>Szent Koronát</b>, és azért jöttem le a földre, hogy visszaszerezzem.</em>",
		"TEXT|<em>– És tudsz repülni?</em>",
		"TEXT|<em>– Hát, angyal vagyok, vagy mifene...</em>",
		"TEXT|Megkéred az angyalt, hogy tanítson meg, hogyan kell a szárnyakat használni. Fél óra múlva már <b>önfeledten röpködsz</b>!",
		"BACK",
		"NEW",
		"ID|xx7b",
		"TEXT|<em>– Megvan már a korona? –</em> kérdezed.",
		"TEXT|<em>– A francokat! Vagyis... nem, nincs. Próbáld megkeresni, jó? Én már átnéztem szinte az összes bokrot.</em>",
		"BACK",
		"NEW",
		"ID|xx7c",
		"SET|angyal|TO|2",
		"SET|madarember|TO|2",
		"TEXT|Vigyorogva nyújtod át a koronát. Az angyal kikapja a kezedből, megrogyasztja a térdét és úgy kilő a felhők felé, mintha <b>rakéta lenne a seggében</b>. És a hála?! Fentről egy <b>toll</b> hull le, és a ki-tudja-mire-lesz-még-jó elvet követve hümmögve elrakod.",
		"TEXT|Pár perc múlva meglepve látod, hogy az angyal visszaereszkedik a tisztásra.",
		"BACK",
		"NEW",
		"ID|xx7d",
		"TEXT|<em>– Hát te? Aszittem fenn van dolgod a Mennyben.</em>",
		"TEXT|<em>– Elfelejtettem, hogy odafenn most éjszaka van. A Nagykaput ilyenkor bezárják.</em>",
		"TEXT|<em>– Csengő nincs?</em>",
		"TEXT|<em>– Van, de semmi kedvem felkelteni Petit. Mindig morcos, ha éjjel felzavarják. Inkább várok pár órát.</em>",
		"TEXT|<em>– Nem jár nekem valami jutalom, amiért <b>visszaszereztem a koronát</b>?</em>",
		"TEXT|<em>– Miért, jutalmat szeretnél érte?</em>",
		"TEXT|<em>– Hát, a kalandor-bizniszben <b>így szokás</b>.</em>",
		"TEXT|<em>– Béke. Szeretet –</em> válaszol kitérően. De kitartó bámulásodat nem bírja sokáig elviselni. <em>– Odafenn majd megkapod jutalmad.</em>",
		"TEXT|Erre nyelsz egy nagyot.",
		"TEXT|<em>– Ne aggódj, nem kell sokáig várnod rá.</em>",
		"TEXT|Erre nyelsz egy még nagyobbat.",
		"BACK",
		"NEW",
		"ID|xx8",
		"CLEAR",
		"IMAGE|halal.gif",
		"TEXT|Nagy kurjongatással nekirontasz az angyalnak. Ő csak néz rád bánatos szemekkel. Amikor azonban gyomron rúgod, <b>megnyílik alattad a föld</b>. Zuhansz hosszú perceken keresztül és egy forró üstbe pottyansz, ahol <b>vigyorgó ördögök</b> vesznek körül...",
		"DEATH",
		"NEW",
		"ID|xx9a",
		"SET|dzsinn|TO|1",
		"TEXT|A dzsinn megpróbálja rád fókuszálni két szemét, de elég nehezen megy. Amikor épp nem lát homályosan, lefittyed az ajka.",
		"TEXT|<em>– Hát te meg <b>mi a fene</b> vagy?! Csótány? Vagy légy?</em>",
		"TEXT|<em>– Egyik sem –</em> válaszolsz sértődötten. <em>– Szúnyog. Fél-szúnyog. Azaz Szúnyogember.</em>",
		"TEXT|<em>– Aha. Hát, annak elég ronda. Megmondom neked őszintén: te tök ronda vagy.</em>",
		"TEXT|<em>– És te egy <b>dzsinn</b> vagy, ugye?</em>",
		"TEXT|<em>– Az hát. Nagyhatalmú dzsinn! Fejfájással, de ronda fej nélkül.</em>",
		"TEXT|<em>– Teljesíted a három kívánságomat?</em>",
		"TEXT|<em>– Háh... Három? –</em> tátog a dzsinn meglepetten. <em>– Mint valami nyamvadt <b>erdei tündér</b>? Engem úgy tanítottak, hogy elég <b>egyet</b> teljesítenem.</em>",
		"TEXT|<em>– Jó, akkor egy is elég. <b>Juttass haza</b>!</em>",
		"TEXT|<em>– Sajnálom, de a Kódex szerint <b>másnaposan</b> tilos varázsolni... Én meg tegnap túl sok gint ittam... Nincs valami gyógyszered fejfájásra? Esetleg valami alkohol...</em>",
		"CHOICE|xx9b|megkínálod borral|bor|EQ|1",
		"BACK",
		"NEW",
		"ID|xx9a0",
		"TEXT|Kinyitod a szelepet, és erre egy lila felhő gomolyog elő, ami összesűrűsödik egy <b>dzsinné</b>.",
		"TEXT|<em>– Én vagyok a palack szelleme! –</em> mennydörgi, majd motyogva hozzáteszi: <em>– Hú, de fáj a fejem.</em>",
		"CHOICE|xx9a|dumálsz vele|dzsinn|EQ|0",
		"CHOICE|xx9d|könyörögsz neki|dzsinn|EQ|1|bor|EQ|0",
		"CHOICE|xx9b|megkínálod borral|dzsinn|EQ|1|bor|EQ|1",
		"CHOICE|xx9c|dumálsz vele|bor|GT|1",
		"BACK",
		"NEW",
		"ID|xx9b",
		"SET|bor|TO|2",
		"IMAGE|tekercs.gif",
		"TEXT|Kelletlenül odanyújtod neki a <b>Macskavért</b>, és szomorúan nézed, ahogy az összes nedű eltűnik a szellem torkában.",
		"TEXT|<em>– Kutyaharapást szőrével, gint egy kis lőrével –</em> tréfálkozik a szellem, de nem tudsz vele együtt nevetni. Annyira megkedvelted az édes vörösbort... Mert úgy hasonlít a vérre...",
		"TEXT|A dzsinn elédhajít egy <b>tekercset</b>.",
		"TEXT|<em>– Sajnálom, a Kódex szerint <b>ittasan sem</b> szabad varázsolni... Úgyhogy <b>oldd meg magad</b>... Ez a varázslat visszajuttat a saját világodba!</em>",
		"TEXT|A szellem gyorsan visszabújik a palackjába. Pedig reménykedtél benne, hogy hazateleportál téged...",
		"BACK",
		"NEW",
		"ID|xx9c",
		"TEXT|A dzsinn nincs beszédes kedvében, visszabújik a palackba.",
		"BACK",
		"NEW",
		"ID|xx9d",
		"TEXT|<em>– Légyszi! Hadd kívánjak egyet!</em>",
		"TEXT|<em>– Mondtam neked, hogy másnaposan nem varázsolhatok. Hozz nekem valamit a fejfájásomra!</em>",
		"BACK",
		"NEW"
	];

	var startPage = "intro";
	var successIndicator = false;


	var ng = this;
	var pages = {}; // string -> PageInfo hashmap
	var minigame = null;
	var variables = [];
	var directions = []; // 0:north, 1:west, 2:east, 3:south, 4:up, 5:down
	var imageCache = []; // 0..11 enabled/disabled direction images, 12..13 save, 14..15 load, 16..17 inventory, 18..19 config, 20..21 help
	var links = [];
	var currentLocation = '';
	var currentPage = '';
	var currentImage = '';
	var quickSave = null;
	var storage = undefined;
	var config = {
		difficulty: 0,
		music: 0,
		font: 0,
		color: 0,
		difficultyNames: [ 'könnyű', 'könnyebb', 'még könnyebb' ],
		musicTitles: [ 'csendet!' ],
		fontNames: [ 'Arial', 'Georgia', 'Verdana', 'Comic Sans MS' ],
		textColors: [ '#000000', '#000000', '#000000', '#f4f4f4' ],
		backgroundColors: [ '#4A7B4A', '#777a77', '#b0af76', '#141414' ]
	};

	// #region page classes
	class PageCondition {
		constructor(leftExp, op, rightExp) {
			this.leftExp = leftExp;
			this.op = op;
			this.rightExp = rightExp;
		}
		
		isValid(variables) {
			// assume that leftExpression is a variable and rightExpression is a constant
			var left = parseInt(variables[varDefinition.indexOf(this.leftExp)], 10);
			var right = parseInt(this.rightExp, 10);
			switch (this.op) {
				case 'EQ': return left == right;
				case 'NEQ': return left != right;
				case 'LT': return left < right;
				case 'GT': return left > right;
				case 'LTE': return left <= right;
				case 'GTE': return left >= right;
			}
			return false;
		}
	}
	
	class PageBlock {
		constructor(raw, conditionIndex) {
			this.type = raw[0];
			this.conditions = null; // PageCondition[]
			if (conditionIndex != -1 && conditionIndex < raw.length) {
				this.conditions = [];
				for (var i = conditionIndex; i < raw.length; i += 3) {
					this.conditions.push(new PageCondition(raw[i], raw[i + 1], raw[i + 2]));
				}
			}
		}
		
		isValid(variables) {
			if (this.conditions && this.conditions.length) {
				for (var i = 0; i < this.conditions.length; i++) {
					if (!this.conditions[i].isValid(variables)) {
						return false;
					}
				}
			}
			return true;
		}
	}
	
	class PageBlockChoice extends PageBlock {
		// CHOICE|pageID|text|[conditions]*
		constructor(raw) {
			super(raw, 3);
			this.pageID = raw[1];
			this.text = raw[2];
		}
	}
	
	class PageBlockClear extends PageBlock {
		// CLEAR|[conditions]*
		constructor(raw) {
			super(raw, 1);
		}
	}
	
	class PageBlockDual extends PageBlock {
		// raw format:
		// a) ID
		// b) IDTrue|IDFalse|conditions*
		constructor(raw) {
			super(raw, 2);
			this.trueID = raw[0];
			this.falseID = raw.length > 1 ? raw[1] : null;
		}
		
		getID(variables) {
			return this.falseID == null || this.isValid(variables) ? this.trueID : this.falseID;
		}
	}
	
	class PageBlockImage extends PageBlock {
		// IMAGE|imageID|[conditions]*
		constructor(raw) {
			super(raw, 2);
			this.imageID = raw[1];
		}
	}
	
	class PageBlockSubImage extends PageBlock {
		// SUBIMAGE|imageID|[conditions]*
		constructor(raw) {
			super(raw, 2);
			this.imageID = raw[1];
		}
	}
	
	class PageBlockSet extends PageBlock {
		// SET|variable|TO|value|[conditions]*
		constructor(raw) {
			super(raw, 4);
			this.variableID = raw[1];
			this.valueExpression = raw[3];
		}
	}
	
	class PageBlockText extends PageBlock {
		// TEXT|text|[conditions]*
		constructor(raw) {
			super(raw, 2);
			this.text = raw[1];
		}
	}
	
	class PageBlockMinigame extends PageBlock {
		// MINIGAME|ID|[PARAM|TYPE|CODE]*|[conditions]*
		constructor(raw) {
			var condIndex = 2;
			while (condIndex < raw.length && raw[condIndex] == 'PARAM') condIndex += 3;
			super(raw, condIndex);
			this.id = raw[1];
			this.param = null;
			if (condIndex > 2) {
				condIndex = 2;
				this.param = [];
				while (condIndex < raw.length && raw[condIndex] == 'PARAM') {
					this.param.push({ type: raw[condIndex + 1], code: raw[condIndex + 2] });
					condIndex += 3;
				}
			}
		}
	}
	
	class PageBlockSuccessIndicator extends PageBlock {
		// SUCCESS|[conditions]*
		constructor(raw) {
			super(raw, 1);
		}
	}
	
	class PageInfo {
		constructor() {
			this.id = null;
			this.blocks = []; // PageBlock[]
			this.isRoom = false;
			this.image = null; // PageBlockDual
			this.exits = null; // PageBlockDual[]
		}
		
		setToRoom(imageID) {
			this.isRoom = true;
			this.image = new PageBlockDual(imageID.split(':'));
			this.exits = [];
		}

		addBlock(block) {
			this.blocks.push(block);
		}

		addExit(raw) {
			this.exits.push(new PageBlockDual(raw.split(':')));
		}
	}

	// #region Init

	var init = function()
	{
		$(document).ready(function()
		{
			loadGameData();
			variables = [];
			for (var i = 0; i < varDefinition.length; i++) {
				variables.push(0);
			}
			for (var i = 0; i < 6; i++) {
				directions.push('-');
			}
			// cache images
			for (var j = 0; j < 6; j++) {
				for (var i = 0; i < 2; i++) {
					var ext = '.gif';
					if (gameCode == 'sze4_21') ext = '.png';
					if (gameCode == 'rgy_21') ext = '.png';
					if (gameCode == 'troid_21') ext = '.png';
					var img = new Image();
					img.src = 'pic/dir-' + j + (i == 0 ? '-normal' : '-hover') + ext;
					imageCache.push(img);
				}
			}
			for (var j = 0; j < 5; j++) {
				for (var i = 0; i < 2; i++) {
					var ext = '.gif';
					if (gameCode == 'sze2_21' && j == 3) ext = '.png';
					var img = new Image();
					img.src = 'pic/button-' + j + (i == 0 ? '-normal' : '-hover') + ext;
					imageCache.push(img);
				}
			}
			// global event handlers
			var modal = $('#modal')[0];
			window.onclick = function(event) {
				if (event.target == modal) {
					modal.style.display = 'none';
				}
			};
			// game specific
			if (gameCode == 'troid_21') {
				config.font = 2;
				setConfig('color', 1);
			}
			// restart
			restart();
		});
	};
	
	var restart = function() {
		console.log('Restart game');
		try {
			storage = window.localStorage;
		} catch { }
		if (!storage) {
			console.log('LocalStorage is not available.');
		}
		// init variables
		for (var i = 0; i < variables.length; i++) {
			variables[i] = 0;
		}
		// start location
		loadPage(startPage);
	}

	// #region Images and rooms
	
	var createPageHtml = function(page) {
		var html = '';
		var bs = '<p class="style' + config.font + '">';
		var be = '</p>';
		let i = 0;
		for (var b of page.blocks) {
			if (!b.isValid(variables)) {
				continue;
			}
			switch (b.type) {
				case 'TEXT':
					html += bs + b.text + be;
					break;
				case 'CHOICE':
					i = links.length;
					links[i] = b.pageID == 'BACK' ? currentLocation : b.pageID;
					html += bs + '<a class="st' + config.color + '" href="javascript:NG.ac(' + i + ')"><img class="before" src="pic/before.png" /> ' + b.text + '</a>' + be;
					break;
				case 'SET':
					variables[varDefinition.indexOf(b.variableID)] = parseInt(b.valueExpression, 10);
					if (b.variableID == 'player') {
						setPlayer(variables[0]);
					}
					break;
				case 'IMAGE':
					loadImage(b.imageID);
					break;
				case 'SUBIMAGE':
					html += bs + '<img src="pic/' + b.imageID + '" />' + be;
					break;
				case 'CLEAR':
					for (i = 0; i < 6; i++) {
						directions[i] = '-';
						setDirectionImage(i, true);
					}
					break;
				case 'SUCCESS':
					$('#successindicator').css('visibility', 'visible');
					break;
				case 'MINIGAME':
					html += bs + '<div id="minigame"></div>' + be;
					if (b.param != null) {
						minigameParam = [];
						for (i = 0; i < b.param.length; i++) {
							switch (b.param[i].type) {
								case 'VAR':
									minigameParam.push(variables[varDefinition.indexOf(b.param[i].code)]);
									break;
							}
						}
					}
					minigame = eval(b.id);
					break;
			}
		}
		return html;
	}
	
	var loadPage = function(id)
	{
		var page = pages[id];
		
		minigame = null;
		minigameParam = null;
		currentPage = id;
		let i = 0;
		if (successIndicator) {
			$('#successindicator').css('visibility', 'hidden');
		}
		if (page.isRoom) {
			currentLocation = id;
			links = [];
			loadImage(page.image.getID(variables));
			for (i = 0; i < 6; i++) {
				directions[i] = page.exits[i].getID(variables);
				setDirectionImage(i, true);
			}
		}
		var html = createPageHtml(page);
		$('#divcontent').html(html);
		window.scrollTo(0, 0);
		if (minigame != null) {
			minigame.init($('#minigame'), minigameCallback, config.difficulty, minigameParam);
		}
	};
	
	var minigameCallback = function(resultCode, parameter) {
		if (!minigame) {
			return;
		}
		switch (resultCode) {
			case 'RELOAD':
				loadPage(currentPage);
				break;
			case 'PAGE':
				loadPage(parameter);
				break;
			case 'MESSAGE':
				showModal(parameter);
				break;
		}
	}
	
	var loadImage = function(url) {
		currentImage = url;
		$('#imgmain').attr('src', 'pic/' + url);
	};
	
	var setPlayer = function(index) {
		variables[0] = index;
		$('img.player').attr('src', 'pic/player' + index + '.jpg');
	};

	var goDirection = function(direction) {
		if (directions[direction] == '-')
		{
			return;
		}
		loadPage(directions[direction]);
	};

	var setDirectionImage = function(index, mouseOut) {
		var img = $('#imgdir' + index);
		if (directions[index] == '-')
		{
			img.hide();
		}
		else
		{
			img.show();
			swapImage(img[0], index * 2 + (mouseOut ? 0 : 1));
		}
	};
	
	var swapImage = function(image, index) {
		image.src = imageCache[index].src;
	};
	
	var showModal = function(content) {
		$('#modal-text').html(content);
		$('#modal').css('display', 'block');
	};
	
	var hideModal = function() {
		$('#modal').css('display', 'none');
	}
	
	// #region Cookie handling, game state persistence

	var setCookie = function(name, value) {
		var expire = new Date();
		expire.setTime(expire.getTime() + (365 * 24 * 60 * 60 * 1000)); // +1 year
		var c = name + "=" + escape(value) + "; expires=" + expire.toUTCString() + "; path=/";
		document.cookie = c;
	};

	var getCookie = function(name) {
		var search = name + '=';
		var c = document.cookie;
		if (c.length > 0)
		{
			var startIndex = c.indexOf(search);
			if (startIndex != -1)
			{
				startIndex += search.length;
				var endIndex = c.indexOf(';', startIndex);
				if (endIndex == -1)
				{
					endIndex = c.length;
				}
				return unescape(c.substring(startIndex, endIndex));
			}
		}
		return null;
	};
	
	var twoDigits = function(n) {
		return (n < 10 ? '0' : '') + n;
	}
	
	var saveState = function() {
		var d = new Date();
		var sa = [];
		sa.push(currentLocation);
		sa.push(currentPage);
		sa.push(d.getFullYear() + '.' + twoDigits(d.getMonth() + 1) + '.' + twoDigits(d.getDate()) + ' ' + twoDigits(d.getHours()) + ':' + twoDigits(d.getMinutes()));
		sa.push(currentImage);
		for (var i = 0; i < directions.length; i++)
		{
			sa.push(directions[i]);
		}
		for (var i = 0; i < variables.length; i++)
		{
			sa.push(variables[i]);
		}
		var s = sa.join('|');
		//console.log("cookie=" + s);
		quickSave = s;
		if (storage) {
			storage.setItem(gameCode, s);
		} else {
			setCookie(gameCode, s);
		}
		return s;
	};
	
	var saveStateByText = function() {
		console.log(saveState());
	};
	
	var loadStateByText = function(s) {
		loadState(s);
	};
	
	var loadState = function(sx) {
		var s = sx || quickSave;
		if (!s && storage) {
			s = storage.getItem(gameCode);
		}
		if (!s) {
			s = getCookie(gameCode);
		}
		if (!s)
		{
			showModal('Nincs mentett állás!');
			return;
		}
		//console.log("cookie=" + s);
		var sp = s.split('|');
		var index = 10; // 0: location, 1: page, 2: date, 3: image, 4..9: directions, 10+: variables
		var player = variables[0];
		for (var i = 0; i < variables.length; i++)
		{
			variables[i] = parseInt(sp[index], 10);
			index++;
		}
		loadImage(sp[3]);
		for (var i = 0; i < 6; i++) {
			directions[i] = sp[i + 4];
			setDirectionImage(i, true);
		}
		currentLocation = sp[0];
		loadPage(sp[1]);
		if (player != variables[0]) {
			setPlayer(variables[0]);
		}
	};

	var selectLink = function(index) {
		loadPage(links[index]);
	};
	
	// #region menu buttons (Save, Load, Inventory, Config, Help)

	var inventory = function() {
		var s = '';
		var player = variables[0];
		for (var i = 0; i < inventoryDefinition.length; i++) {
			if (inventoryDefinition[i][0] == player && variables[varDefinition.indexOf(inventoryDefinition[i][1])] == parseInt(inventoryDefinition[i][2], 10)) {
				//s += '<p class="style' + config.font + '"><li title="' + inventoryDefinition[i][4] + '">' + inventoryDefinition[i][3] + '</li></p>';
				s += '<li class="style' + config.font + '" title="' + inventoryDefinition[i][4] + '">' + inventoryDefinition[i][3] + '</li>';
			}
		}
		if (s == '') {
			s = '<p class="style' + config.font + '">Semmi sincs nálad.</p>';
		} else {
			s = '<p class="style' + config.font + '">Nálad van:</p><ul>' + s + '</ul>';
		}
		showModal(s);
	};
	
	var showConfig = function() {
		var s = '';
		var i;
		var p = '<p class="style' + config.font + '">';

		if (gameCode != 'rgy_21') {
			s += p + 'Aljátékok nehézsége:</p>';
			for (i = 0; i < config.difficultyNames.length; i++)
			{
				s += '<div class="cfg cfg-difficulty" id="cfg-difficulty-' + i + '" onclick="NG.setConfig(\'difficulty\',' + i + ')" style="' + (config.difficulty == i ? 'background:#c7a340;' : '') + '">' + config.difficultyNames[i] + '</div>';
			}
		}

		if (config.musicTitles.length > 1) {
			s += p + 'Zene:</p>';
			for (i = 0; i < config.musicTitles.length; i++) {
				s += '<div class="cfg cfg-music" id="cfg-music-' + i + '" onclick="NG.setConfig(\'music\',' + i + ')" style="' + (config.music == i ? 'background:#c7a340;' : '') + '">' + config.musicTitles[i] + '</div>';
			}
		}

		s += p + 'Betűtípus:</p>';
		for (i = 0; i < config.fontNames.length; i++) {
			s += '<div class="cfg cfg-font" id="cfg-font-' + i + '" onclick="NG.setConfig(\'font\',' + i + ')" style="' + (config.font == i ? 'background:#c7a340;' : '') + 'font-family:' + config.fontNames[i] + '">' + config.fontNames[i] + '</div>';
		}
		
		s += p + 'Színek:</p>';
		for (i = 0; i < config.backgroundColors.length; i++) {
			s+= '<div class="cfg" onclick="NG.setConfig(\'color\',' + i + ')" style="background:' + config.backgroundColors[i] + ';color:' + config.textColors[i] + '">ez a szín legyen</div>';
		}

		showModal(s);
	};
	
	var setConfig = function(configType, value) {
		config[configType] = value;
		if (configType == 'color') {
			$('body').css('background-color', config.backgroundColors[value]);
			$('body').css('color', config.textColors[value]);
		} else {
			$('div.cfg-' + configType).css('background', '');
			$('#cfg-' + configType + '-' + value).css('background', '#c7a340');
		}
		if (configType == 'difficulty' || configType == 'font') {
			loadPage(currentPage);
		}
	};
	
	var help = function() {
		showModal(createPageHtml(pages['help'] || { blocks: [] }));
	};
	
	var loadGameData = function() {
		var pi = null;
		for (var rawRow of rawGameData) {
			if (rawRow == 'NEW') {
				if (pi != null) {
					pages[pi.id] = pi;
				}
				pi = new PageInfo();
				continue;
			}
			raw = rawRow.split('|');
			switch (raw[0]) {
				case 'ID':
					pi.id = raw[1];
					break;
				case 'ROOM':
					pi.setToRoom(raw[1]);
					for (var i = 2; i < 2 + 6; i++) {
						pi.addExit(i < raw.length ? raw[i] : '-');
					}
					break;
				case 'CLEAR':
					pi.addBlock(new PageBlockClear(raw));
					break;
				case 'IMAGE':
					pi.addBlock(new PageBlockImage(raw));
					break;
				case 'SUBIMAGE':
					pi.addBlock(new PageBlockSubImage(raw));
					break;
				case 'TEXT':
					pi.addBlock(new PageBlockText(raw));
					break;
				case 'CHOICE':
					pi.addBlock(new PageBlockChoice(raw));
					break;
				case 'BACK':
					pi.addBlock(new PageBlockChoice(['CHOICE', 'BACK', 'vissza']));
					break;
				case 'SET':
					pi.addBlock(new PageBlockSet(raw));
					break;
				case 'SUCCESS':
					pi.addBlock(new PageBlockSuccessIndicator(raw));
					break;
				case 'DEATH':
					// DEATH|[ID]|[ChoiceText]
					pi.addBlock(new PageBlockText(['TEXT', '<h1 class="death">MEGHALTÁL!</h1>']));
					pi.addBlock(new PageBlockText(['TEXT', '(Csak vicc volt. A játékban nem lehet igazából meghalni. Folytasd a kalandot!)']));
					pi.addBlock(new PageBlockChoice(['CHOICE', (raw.length < 2 ? 'BACK' : raw[1]), (raw.length < 3 ? 'vissza' : raw[2])]));
					break;
				case 'MINIGAME':
					pi.addBlock(new PageBlockMinigame(raw));
					break;
			}
		}
	};
	
	// #region Public

	var pub =
	{
		init: init,
		restart: restart,
		load: loadPage,
		go: goDirection,

		saveState: saveState,
		loadState: loadState,
		loadByText: loadStateByText,
		saveByText: saveStateByText,
		setDirectionImage: setDirectionImage,
		swapImage: swapImage,
		showConfig: showConfig,
		setConfig: setConfig,
		help: help,
		inventory: inventory,

		ac: selectLink,
		hideModal: hideModal,
	};

	return pub;
} ();

NG.init();